/* media.c generated by valac 0.25.1, the Vala compiler
 * generated from media.vala, do not modify */

/* vim: set tabstop=8 softtabstop=2 shiftwidth=2 expandtab: */
/*
 *    Copyright (C) 2011 Fabian Deutsch
 *
 *    This program is free software; you can redistribute it and/or modify
 *    it under the terms of the GNU General Public License as published by
 *    the Free Software Foundation; either version 2 of the License, or
 *    (at your option) any later version.
 *
 *    This program is distributed in the hope that it will be useful,
 *    but WITHOUT ANY WARRANTY; without even the implied warranty of
 *    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *    GNU General Public License for more details.
 *
 *    You should have received a copy of the GNU General Public License along
 *    with this program; if not, write to the Free Software Foundation, Inc.,
 *    51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.
 */

#include <glib.h>
#include <glib-object.h>
#include <gst/rtsp-server/rtsp-media-factory.h>
#include <gst/rtsp-server/rtsp-client.h>
#include <stdlib.h>
#include <string.h>
#include <gst/gst.h>
#include <gst/rtsp-server/rtsp-server.h>
#include <gst/rtsp-server/rtsp-media-mapping.h>
#include <float.h>
#include <math.h>


#define MEDIA_TYPE_RTSP_CLIENT (media_rtsp_client_get_type ())
#define MEDIA_RTSP_CLIENT(obj) (G_TYPE_CHECK_INSTANCE_CAST ((obj), MEDIA_TYPE_RTSP_CLIENT, MediaRTSPClient))
#define MEDIA_RTSP_CLIENT_CLASS(klass) (G_TYPE_CHECK_CLASS_CAST ((klass), MEDIA_TYPE_RTSP_CLIENT, MediaRTSPClientClass))
#define MEDIA_IS_RTSP_CLIENT(obj) (G_TYPE_CHECK_INSTANCE_TYPE ((obj), MEDIA_TYPE_RTSP_CLIENT))
#define MEDIA_IS_RTSP_CLIENT_CLASS(klass) (G_TYPE_CHECK_CLASS_TYPE ((klass), MEDIA_TYPE_RTSP_CLIENT))
#define MEDIA_RTSP_CLIENT_GET_CLASS(obj) (G_TYPE_INSTANCE_GET_CLASS ((obj), MEDIA_TYPE_RTSP_CLIENT, MediaRTSPClientClass))

typedef struct _MediaRTSPClient MediaRTSPClient;
typedef struct _MediaRTSPClientClass MediaRTSPClientClass;
typedef struct _MediaRTSPClientPrivate MediaRTSPClientPrivate;
#define _gst_object_unref0(var) ((var == NULL) ? NULL : (var = (gst_object_unref (var), NULL)))
#define _g_free0(var) (var = (g_free (var), NULL))
#define _gst_structure_free0(var) ((var == NULL) ? NULL : (var = (gst_structure_free (var), NULL)))

#define MEDIA_TYPE_LOCAL_RTSP_SERVER (media_local_rtsp_server_get_type ())
#define MEDIA_LOCAL_RTSP_SERVER(obj) (G_TYPE_CHECK_INSTANCE_CAST ((obj), MEDIA_TYPE_LOCAL_RTSP_SERVER, MediaLocalRTSPServer))
#define MEDIA_LOCAL_RTSP_SERVER_CLASS(klass) (G_TYPE_CHECK_CLASS_CAST ((klass), MEDIA_TYPE_LOCAL_RTSP_SERVER, MediaLocalRTSPServerClass))
#define MEDIA_IS_LOCAL_RTSP_SERVER(obj) (G_TYPE_CHECK_INSTANCE_TYPE ((obj), MEDIA_TYPE_LOCAL_RTSP_SERVER))
#define MEDIA_IS_LOCAL_RTSP_SERVER_CLASS(klass) (G_TYPE_CHECK_CLASS_TYPE ((klass), MEDIA_TYPE_LOCAL_RTSP_SERVER))
#define MEDIA_LOCAL_RTSP_SERVER_GET_CLASS(obj) (G_TYPE_INSTANCE_GET_CLASS ((obj), MEDIA_TYPE_LOCAL_RTSP_SERVER, MediaLocalRTSPServerClass))

typedef struct _MediaLocalRTSPServer MediaLocalRTSPServer;
typedef struct _MediaLocalRTSPServerClass MediaLocalRTSPServerClass;
typedef struct _MediaLocalRTSPServerPrivate MediaLocalRTSPServerPrivate;
#define _g_main_loop_unref0(var) ((var == NULL) ? NULL : (var = (g_main_loop_unref (var), NULL)))
#define _g_object_unref0(var) ((var == NULL) ? NULL : (var = (g_object_unref (var), NULL)))

struct _MediaRTSPClient {
	GObject parent_instance;
	MediaRTSPClientPrivate * priv;
};

struct _MediaRTSPClientClass {
	GObjectClass parent_class;
};

struct _MediaRTSPClientPrivate {
	GstElement* playbin;
	GstElement* video_sink;
	GstElement* audio_sink;
	gchar* _uri;
	gboolean _mute;
};

struct _MediaLocalRTSPServer {
	GObject parent_instance;
	MediaLocalRTSPServerPrivate * priv;
};

struct _MediaLocalRTSPServerClass {
	GObjectClass parent_class;
};

struct _MediaLocalRTSPServerPrivate {
	GMainLoop* loop;
	GstRTSPServer* server;
	GstRTSPMediaMapping* mapping;
	gdouble base_width;
	gdouble base_height;
	gdouble base_quality_min;
	gdouble base_quality_max;
	gdouble base_fps_min;
	gdouble base_fps_max;
	gboolean _use_ipv6;
	gchar* _port;
	gchar* _mountpoint;
	gchar* _address;
	gchar* _user;
	gchar* _password;
	gchar* _video_device;
	gdouble _video_scale_factor;
	guint* _video_height_request;
	guint* _video_width_request;
	gdouble _video_quality_factor;
	gdouble* _video_quality_request;
	gdouble _video_fps_factor;
	gdouble* _video_fps_request;
};


static gpointer media_rtsp_client_parent_class = NULL;
static gpointer media_local_rtsp_server_parent_class = NULL;

void gst_rtsp_media_factory_set_auth (GstRTSPMediaFactory* factory, GstRTSPAuth* auth);
void media_init (gchar*** args, int* args_length1);
GType media_rtsp_client_get_type (void) G_GNUC_CONST;
#define MEDIA_RTSP_CLIENT_GET_PRIVATE(o) (G_TYPE_INSTANCE_GET_PRIVATE ((o), MEDIA_TYPE_RTSP_CLIENT, MediaRTSPClientPrivate))
enum  {
	MEDIA_RTSP_CLIENT_DUMMY_PROPERTY,
	MEDIA_RTSP_CLIENT_URI,
	MEDIA_RTSP_CLIENT_MUTE
};
void media_rtsp_client_stop (MediaRTSPClient* self);
MediaRTSPClient* media_rtsp_client_new (GstElement* vsink);
MediaRTSPClient* media_rtsp_client_construct (GType object_type, GstElement* vsink);
static void media_rtsp_client_build_playbin (MediaRTSPClient* self);
MediaRTSPClient* media_rtsp_client_new_playing (GstElement* vsink, const gchar* uri);
MediaRTSPClient* media_rtsp_client_construct_playing (GType object_type, GstElement* vsink, const gchar* uri);
void media_rtsp_client_set_uri (MediaRTSPClient* self, const gchar* value);
void media_rtsp_client_start (MediaRTSPClient* self);
static inline void _dynamic_set_stream_properties0 (GstElement* obj, GstStructure* value);
static inline void _dynamic_set_video_sink1 (GstElement* obj, GstElement* value);
static inline void _dynamic_set_audio_sink2 (GstElement* obj, GstObject* value);
static void __lambda4_ (MediaRTSPClient* self, GstElement* e);
static inline GstObject* _dynamic_get_source3 (GstObject* obj);
static inline void _dynamic_set_latency4 (GstObject* obj, gint value);
static inline void _dynamic_set_udp_buffer_size5 (GstObject* obj, gint value);
static void ___lambda4__dynamic_source_setup0_ (GstElement* _sender, gpointer self);
gulong _dynamic_source_setup1_connect (gpointer obj, const char * signal_name, GCallback handler, gpointer data);
const gchar* media_rtsp_client_get_uri (MediaRTSPClient* self);
static inline void _dynamic_set_uri6 (GstElement* obj, const gchar* value);
static inline const gchar* _dynamic_get_uri7 (GstElement* obj);
static inline void _dynamic_set_client8 (GstElement* obj, gchar* value);
gboolean media_rtsp_client_get_mute (MediaRTSPClient* self);
void media_rtsp_client_set_mute (MediaRTSPClient* self, gboolean value);
static void media_rtsp_client_finalize (GObject* obj);
static void _vala_media_rtsp_client_get_property (GObject * object, guint property_id, GValue * value, GParamSpec * pspec);
static void _vala_media_rtsp_client_set_property (GObject * object, guint property_id, const GValue * value, GParamSpec * pspec);
GType media_local_rtsp_server_get_type (void) G_GNUC_CONST;
#define MEDIA_LOCAL_RTSP_SERVER_GET_PRIVATE(o) (G_TYPE_INSTANCE_GET_PRIVATE ((o), MEDIA_TYPE_LOCAL_RTSP_SERVER, MediaLocalRTSPServerPrivate))
enum  {
	MEDIA_LOCAL_RTSP_SERVER_DUMMY_PROPERTY,
	MEDIA_LOCAL_RTSP_SERVER_USE_IPV6,
	MEDIA_LOCAL_RTSP_SERVER_PORT,
	MEDIA_LOCAL_RTSP_SERVER_MOUNTPOINT,
	MEDIA_LOCAL_RTSP_SERVER_ADDRESS,
	MEDIA_LOCAL_RTSP_SERVER_USER,
	MEDIA_LOCAL_RTSP_SERVER_PASSWORD,
	MEDIA_LOCAL_RTSP_SERVER_VIDEO_DEVICE,
	MEDIA_LOCAL_RTSP_SERVER_VIDEO_SCALE_FACTOR,
	MEDIA_LOCAL_RTSP_SERVER_VIDEO_WIDTH,
	MEDIA_LOCAL_RTSP_SERVER_VIDEO_HEIGHT,
	MEDIA_LOCAL_RTSP_SERVER_VIDEO_SIZE,
	MEDIA_LOCAL_RTSP_SERVER_VIDEO_QUALITY_FACTOR,
	MEDIA_LOCAL_RTSP_SERVER_VIDEO_QUALITY,
	MEDIA_LOCAL_RTSP_SERVER_VIDEO_FPS_FACTOR,
	MEDIA_LOCAL_RTSP_SERVER_VIDEO_FPS
};
MediaLocalRTSPServer* media_local_rtsp_server_new (void);
MediaLocalRTSPServer* media_local_rtsp_server_construct (GType object_type);
void media_local_rtsp_server_attach (MediaLocalRTSPServer* self, GMainLoop* l);
gboolean media_local_rtsp_server_get_use_ipv6 (MediaLocalRTSPServer* self);
const gchar* media_local_rtsp_server_get_port (MediaLocalRTSPServer* self);
const gchar* media_local_rtsp_server_get_mountpoint (MediaLocalRTSPServer* self);
static void media_local_rtsp_server_set_address (MediaLocalRTSPServer* self, const gchar* value);
void media_local_rtsp_server_add_mapping (MediaLocalRTSPServer* self, const gchar* mountpoint, const gchar* launchline);
static gchar* media_local_rtsp_server_build_default_launchline (MediaLocalRTSPServer* self);
const gchar* media_local_rtsp_server_get_address (MediaLocalRTSPServer* self);
const gchar* media_local_rtsp_server_get_password (MediaLocalRTSPServer* self);
const gchar* media_local_rtsp_server_get_user (MediaLocalRTSPServer* self);
gdouble media_local_rtsp_server_get_video_fps (MediaLocalRTSPServer* self);
const gchar* media_local_rtsp_server_get_video_device (MediaLocalRTSPServer* self);
guint media_local_rtsp_server_get_video_width (MediaLocalRTSPServer* self);
guint media_local_rtsp_server_get_video_height (MediaLocalRTSPServer* self);
gdouble media_local_rtsp_server_get_video_quality (MediaLocalRTSPServer* self);
void media_local_rtsp_server_quit (MediaLocalRTSPServer* self);
void media_local_rtsp_server_set_use_ipv6 (MediaLocalRTSPServer* self, gboolean value);
void media_local_rtsp_server_set_port (MediaLocalRTSPServer* self, const gchar* value);
void media_local_rtsp_server_set_mountpoint (MediaLocalRTSPServer* self, const gchar* value);
static void media_local_rtsp_server_set_user (MediaLocalRTSPServer* self, const gchar* value);
void media_local_rtsp_server_set_password (MediaLocalRTSPServer* self, const gchar* value);
void media_local_rtsp_server_set_video_device (MediaLocalRTSPServer* self, const gchar* value);
gdouble media_local_rtsp_server_get_video_scale_factor (MediaLocalRTSPServer* self);
void media_local_rtsp_server_set_video_scale_factor (MediaLocalRTSPServer* self, gdouble value);
void media_local_rtsp_server_set_video_width (MediaLocalRTSPServer* self, guint value);
static guint* _uint_dup (guint* self);
void media_local_rtsp_server_set_video_height (MediaLocalRTSPServer* self, guint value);
gchar* media_local_rtsp_server_get_video_size (MediaLocalRTSPServer* self);
gdouble media_local_rtsp_server_get_video_quality_factor (MediaLocalRTSPServer* self);
void media_local_rtsp_server_set_video_quality_factor (MediaLocalRTSPServer* self, gdouble value);
void media_local_rtsp_server_set_video_quality (MediaLocalRTSPServer* self, gdouble value);
static gdouble* _double_dup (gdouble* self);
gdouble media_local_rtsp_server_get_video_fps_factor (MediaLocalRTSPServer* self);
void media_local_rtsp_server_set_video_fps_factor (MediaLocalRTSPServer* self, gdouble value);
void media_local_rtsp_server_set_video_fps (MediaLocalRTSPServer* self, gdouble value);
static void media_local_rtsp_server_finalize (GObject* obj);
static void _vala_media_local_rtsp_server_get_property (GObject * object, guint property_id, GValue * value, GParamSpec * pspec);
static void _vala_media_local_rtsp_server_set_property (GObject * object, guint property_id, const GValue * value, GParamSpec * pspec);


void media_init (gchar*** args, int* args_length1) {
#line 30 "/builddir/build/BUILD/presence-0.4.8/src/media.vala"
	gst_init (args_length1, args);
#line 220 "media.c"
}


static gpointer _gst_object_ref0 (gpointer self) {
#line 54 "/builddir/build/BUILD/presence-0.4.8/src/media.vala"
	return self ? gst_object_ref (self) : NULL;
#line 227 "media.c"
}


MediaRTSPClient* media_rtsp_client_construct (GType object_type, GstElement* vsink) {
	MediaRTSPClient * self = NULL;
	GstElement* _tmp0_ = NULL;
	GstElement* _tmp1_ = NULL;
#line 52 "/builddir/build/BUILD/presence-0.4.8/src/media.vala"
	g_return_val_if_fail (vsink != NULL, NULL);
#line 52 "/builddir/build/BUILD/presence-0.4.8/src/media.vala"
	self = (MediaRTSPClient*) g_object_new (object_type, NULL);
#line 54 "/builddir/build/BUILD/presence-0.4.8/src/media.vala"
	_tmp0_ = vsink;
#line 54 "/builddir/build/BUILD/presence-0.4.8/src/media.vala"
	_tmp1_ = _gst_object_ref0 (_tmp0_);
#line 54 "/builddir/build/BUILD/presence-0.4.8/src/media.vala"
	_gst_object_unref0 (self->priv->video_sink);
#line 54 "/builddir/build/BUILD/presence-0.4.8/src/media.vala"
	self->priv->video_sink = _tmp1_;
#line 55 "/builddir/build/BUILD/presence-0.4.8/src/media.vala"
	media_rtsp_client_build_playbin (self);
#line 52 "/builddir/build/BUILD/presence-0.4.8/src/media.vala"
	return self;
#line 251 "media.c"
}


MediaRTSPClient* media_rtsp_client_new (GstElement* vsink) {
#line 52 "/builddir/build/BUILD/presence-0.4.8/src/media.vala"
	return media_rtsp_client_construct (MEDIA_TYPE_RTSP_CLIENT, vsink);
#line 258 "media.c"
}


MediaRTSPClient* media_rtsp_client_construct_playing (GType object_type, GstElement* vsink, const gchar* uri) {
	MediaRTSPClient * self = NULL;
	GstElement* _tmp0_ = NULL;
	const gchar* _tmp1_ = NULL;
#line 58 "/builddir/build/BUILD/presence-0.4.8/src/media.vala"
	g_return_val_if_fail (vsink != NULL, NULL);
#line 58 "/builddir/build/BUILD/presence-0.4.8/src/media.vala"
	g_return_val_if_fail (uri != NULL, NULL);
#line 60 "/builddir/build/BUILD/presence-0.4.8/src/media.vala"
	_tmp0_ = vsink;
#line 60 "/builddir/build/BUILD/presence-0.4.8/src/media.vala"
	self = (MediaRTSPClient*) media_rtsp_client_construct (object_type, _tmp0_);
#line 61 "/builddir/build/BUILD/presence-0.4.8/src/media.vala"
	_tmp1_ = uri;
#line 61 "/builddir/build/BUILD/presence-0.4.8/src/media.vala"
	media_rtsp_client_set_uri (self, _tmp1_);
#line 62 "/builddir/build/BUILD/presence-0.4.8/src/media.vala"
	media_rtsp_client_start (self);
#line 58 "/builddir/build/BUILD/presence-0.4.8/src/media.vala"
	return self;
#line 282 "media.c"
}


MediaRTSPClient* media_rtsp_client_new_playing (GstElement* vsink, const gchar* uri) {
#line 58 "/builddir/build/BUILD/presence-0.4.8/src/media.vala"
	return media_rtsp_client_construct_playing (MEDIA_TYPE_RTSP_CLIENT, vsink, uri);
#line 289 "media.c"
}


static inline void _dynamic_set_stream_properties0 (GstElement* obj, GstStructure* value) {
#line 76 "/builddir/build/BUILD/presence-0.4.8/src/media.vala"
	g_object_set (obj, "stream-properties", value, NULL);
#line 296 "media.c"
}


static inline void _dynamic_set_video_sink1 (GstElement* obj, GstElement* value) {
#line 83 "/builddir/build/BUILD/presence-0.4.8/src/media.vala"
	g_object_set (obj, "video-sink", value, NULL);
#line 303 "media.c"
}


static inline void _dynamic_set_audio_sink2 (GstElement* obj, GstObject* value) {
#line 84 "/builddir/build/BUILD/presence-0.4.8/src/media.vala"
	g_object_set (obj, "audio-sink", value, NULL);
#line 310 "media.c"
}


static inline GstObject* _dynamic_get_source3 (GstObject* obj) {
	GstObject* result;
#line 91 "/builddir/build/BUILD/presence-0.4.8/src/media.vala"
	g_object_get (obj, "source", &result, NULL);
#line 91 "/builddir/build/BUILD/presence-0.4.8/src/media.vala"
	return result;
#line 320 "media.c"
}


static inline void _dynamic_set_latency4 (GstObject* obj, gint value) {
#line 92 "/builddir/build/BUILD/presence-0.4.8/src/media.vala"
	g_object_set (obj, "latency", value, NULL);
#line 327 "media.c"
}


static inline void _dynamic_set_udp_buffer_size5 (GstObject* obj, gint value) {
#line 93 "/builddir/build/BUILD/presence-0.4.8/src/media.vala"
	g_object_set (obj, "udp-buffer-size", value, NULL);
#line 334 "media.c"
}


static void __lambda4_ (MediaRTSPClient* self, GstElement* e) {
	GstObject* element = NULL;
	GstElement* _tmp0_ = NULL;
	GstObject* _tmp1_ = NULL;
	GstObject* src = NULL;
	GstObject* _tmp2_ = NULL;
	GstObject* _tmp3_ = NULL;
#line 86 "/builddir/build/BUILD/presence-0.4.8/src/media.vala"
	g_return_if_fail (e != NULL);
#line 88 "/builddir/build/BUILD/presence-0.4.8/src/media.vala"
	g_debug ("media.vala:88: Setting latency.");
#line 90 "/builddir/build/BUILD/presence-0.4.8/src/media.vala"
	_tmp0_ = e;
#line 90 "/builddir/build/BUILD/presence-0.4.8/src/media.vala"
	_tmp1_ = _gst_object_ref0 ((GstObject*) _tmp0_);
#line 90 "/builddir/build/BUILD/presence-0.4.8/src/media.vala"
	element = _tmp1_;
#line 91 "/builddir/build/BUILD/presence-0.4.8/src/media.vala"
	_tmp2_ = _dynamic_get_source3 (element);
#line 91 "/builddir/build/BUILD/presence-0.4.8/src/media.vala"
	_tmp3_ = _tmp2_;
#line 91 "/builddir/build/BUILD/presence-0.4.8/src/media.vala"
	src = _tmp3_;
#line 92 "/builddir/build/BUILD/presence-0.4.8/src/media.vala"
	_dynamic_set_latency4 (src, 250);
#line 93 "/builddir/build/BUILD/presence-0.4.8/src/media.vala"
	_dynamic_set_udp_buffer_size5 (src, (2 * 1024) * 1024);
#line 86 "/builddir/build/BUILD/presence-0.4.8/src/media.vala"
	_gst_object_unref0 (src);
#line 86 "/builddir/build/BUILD/presence-0.4.8/src/media.vala"
	_gst_object_unref0 (element);
#line 369 "media.c"
}


static void ___lambda4__dynamic_source_setup0_ (GstElement* _sender, gpointer self) {
#line 86 "/builddir/build/BUILD/presence-0.4.8/src/media.vala"
	__lambda4_ ((MediaRTSPClient*) self, _sender);
#line 376 "media.c"
}


gulong _dynamic_source_setup1_connect (gpointer obj, const char * signal_name, GCallback handler, gpointer data) {
#line 86 "/builddir/build/BUILD/presence-0.4.8/src/media.vala"
	return g_signal_connect_object (obj, signal_name, handler, data, 0);
#line 383 "media.c"
}


static void media_rtsp_client_build_playbin (MediaRTSPClient* self) {
	GstElement* _tmp0_ = NULL;
	GstElement* _tmp1_ = NULL;
	GstStructure* _tmp2_ = NULL;
	GstStructure* _tmp3_ = NULL;
	GstElement* _tmp4_ = NULL;
	GstElement* _tmp5_ = NULL;
	GstElement* _tmp6_ = NULL;
	GstElement* _tmp7_ = NULL;
	GstElement* _tmp8_ = NULL;
	GstElement* _tmp9_ = NULL;
	GstObject* _tmp10_ = NULL;
	GstElement* _tmp11_ = NULL;
#line 73 "/builddir/build/BUILD/presence-0.4.8/src/media.vala"
	g_return_if_fail (self != NULL);
#line 75 "/builddir/build/BUILD/presence-0.4.8/src/media.vala"
	_tmp0_ = gst_element_factory_make ("pulsesink", "ps");
#line 75 "/builddir/build/BUILD/presence-0.4.8/src/media.vala"
	if (_tmp0_ != NULL) {
#line 75 "/builddir/build/BUILD/presence-0.4.8/src/media.vala"
		gst_object_ref_sink (_tmp0_);
#line 408 "media.c"
	}
#line 75 "/builddir/build/BUILD/presence-0.4.8/src/media.vala"
	_gst_object_unref0 (self->priv->audio_sink);
#line 75 "/builddir/build/BUILD/presence-0.4.8/src/media.vala"
	self->priv->audio_sink = _tmp0_;
#line 76 "/builddir/build/BUILD/presence-0.4.8/src/media.vala"
	_tmp1_ = self->priv->audio_sink;
#line 76 "/builddir/build/BUILD/presence-0.4.8/src/media.vala"
	_tmp2_ = gst_structure_from_string ("props," "media.role=phone," "filter.want=echo-cancel", NULL);
#line 76 "/builddir/build/BUILD/presence-0.4.8/src/media.vala"
	_tmp3_ = _tmp2_;
#line 76 "/builddir/build/BUILD/presence-0.4.8/src/media.vala"
	_dynamic_set_stream_properties0 (_tmp1_, _tmp3_);
#line 76 "/builddir/build/BUILD/presence-0.4.8/src/media.vala"
	_gst_structure_free0 (_tmp3_);
#line 79 "/builddir/build/BUILD/presence-0.4.8/src/media.vala"
	_tmp4_ = self->priv->audio_sink;
#line 79 "/builddir/build/BUILD/presence-0.4.8/src/media.vala"
	g_object_bind_property_with_closures ((GObject*) self, "mute", (GObject*) _tmp4_, "mute", G_BINDING_DEFAULT, (GClosure*) ((NULL == NULL) ? NULL : g_cclosure_new ((GCallback) NULL, NULL, NULL)), (GClosure*) ((NULL == NULL) ? NULL : g_cclosure_new ((GCallback) NULL, NULL, NULL)));
#line 82 "/builddir/build/BUILD/presence-0.4.8/src/media.vala"
	_tmp5_ = gst_element_factory_make ("playbin2", "pb");
#line 82 "/builddir/build/BUILD/presence-0.4.8/src/media.vala"
	if (_tmp5_ != NULL) {
#line 82 "/builddir/build/BUILD/presence-0.4.8/src/media.vala"
		gst_object_ref_sink (_tmp5_);
#line 434 "media.c"
	}
#line 82 "/builddir/build/BUILD/presence-0.4.8/src/media.vala"
	_gst_object_unref0 (self->priv->playbin);
#line 82 "/builddir/build/BUILD/presence-0.4.8/src/media.vala"
	self->priv->playbin = _tmp5_;
#line 83 "/builddir/build/BUILD/presence-0.4.8/src/media.vala"
	_tmp6_ = self->priv->playbin;
#line 83 "/builddir/build/BUILD/presence-0.4.8/src/media.vala"
	_tmp7_ = self->priv->video_sink;
#line 83 "/builddir/build/BUILD/presence-0.4.8/src/media.vala"
	_dynamic_set_video_sink1 (_tmp6_, _tmp7_);
#line 84 "/builddir/build/BUILD/presence-0.4.8/src/media.vala"
	_tmp8_ = self->priv->playbin;
#line 84 "/builddir/build/BUILD/presence-0.4.8/src/media.vala"
	_tmp9_ = self->priv->audio_sink;
#line 84 "/builddir/build/BUILD/presence-0.4.8/src/media.vala"
	_tmp10_ = gst_object_ref ((GstObject*) _tmp9_);
#line 84 "/builddir/build/BUILD/presence-0.4.8/src/media.vala"
	_dynamic_set_audio_sink2 (_tmp8_, _tmp10_);
#line 86 "/builddir/build/BUILD/presence-0.4.8/src/media.vala"
	_tmp11_ = self->priv->playbin;
#line 86 "/builddir/build/BUILD/presence-0.4.8/src/media.vala"
	_dynamic_source_setup1_connect (_tmp11_, "source_setup", (GCallback) ___lambda4__dynamic_source_setup0_, self);
#line 458 "media.c"
}


static inline void _dynamic_set_uri6 (GstElement* obj, const gchar* value) {
#line 101 "/builddir/build/BUILD/presence-0.4.8/src/media.vala"
	g_object_set (obj, "uri", value, NULL);
#line 465 "media.c"
}


static const gchar* string_to_string (const gchar* self) {
	const gchar* result = NULL;
#line 1314 "/usr/share/vala-0.26/vapi/glib-2.0.vapi"
	g_return_val_if_fail (self != NULL, NULL);
#line 1315 "/usr/share/vala-0.26/vapi/glib-2.0.vapi"
	result = self;
#line 1315 "/usr/share/vala-0.26/vapi/glib-2.0.vapi"
	return result;
#line 477 "media.c"
}


static inline const gchar* _dynamic_get_uri7 (GstElement* obj) {
	const gchar* result;
#line 104 "/builddir/build/BUILD/presence-0.4.8/src/media.vala"
	g_object_get (obj, "uri", &result, NULL);
#line 104 "/builddir/build/BUILD/presence-0.4.8/src/media.vala"
	return result;
#line 487 "media.c"
}


static inline void _dynamic_set_client8 (GstElement* obj, gchar* value) {
#line 106 "/builddir/build/BUILD/presence-0.4.8/src/media.vala"
	g_object_set (obj, "client", value, NULL);
#line 494 "media.c"
}


void media_rtsp_client_start (MediaRTSPClient* self) {
	GstElement* _tmp0_ = NULL;
	const gchar* _tmp1_ = NULL;
	const gchar* _tmp2_ = NULL;
	const gchar* _tmp3_ = NULL;
	gchar* _tmp4_ = NULL;
	gchar* _tmp5_ = NULL;
	GstElement* _tmp6_ = NULL;
	const gchar* _tmp7_ = NULL;
	const gchar* _tmp8_ = NULL;
	GstElement* _tmp9_ = NULL;
	const gchar* _tmp10_ = NULL;
	const gchar* _tmp11_ = NULL;
	gchar* _tmp12_ = NULL;
	gchar* _tmp13_ = NULL;
	GstElement* _tmp14_ = NULL;
#line 99 "/builddir/build/BUILD/presence-0.4.8/src/media.vala"
	g_return_if_fail (self != NULL);
#line 101 "/builddir/build/BUILD/presence-0.4.8/src/media.vala"
	_tmp0_ = self->priv->playbin;
#line 101 "/builddir/build/BUILD/presence-0.4.8/src/media.vala"
	_tmp1_ = self->priv->_uri;
#line 101 "/builddir/build/BUILD/presence-0.4.8/src/media.vala"
	_dynamic_set_uri6 (_tmp0_, _tmp1_);
#line 103 "/builddir/build/BUILD/presence-0.4.8/src/media.vala"
	_tmp2_ = self->priv->_uri;
#line 103 "/builddir/build/BUILD/presence-0.4.8/src/media.vala"
	_tmp3_ = string_to_string (_tmp2_);
#line 103 "/builddir/build/BUILD/presence-0.4.8/src/media.vala"
	_tmp4_ = g_strconcat ("State play on ", _tmp3_, ".", NULL);
#line 103 "/builddir/build/BUILD/presence-0.4.8/src/media.vala"
	_tmp5_ = _tmp4_;
#line 103 "/builddir/build/BUILD/presence-0.4.8/src/media.vala"
	g_debug ("media.vala:103: %s", _tmp5_);
#line 103 "/builddir/build/BUILD/presence-0.4.8/src/media.vala"
	_g_free0 (_tmp5_);
#line 104 "/builddir/build/BUILD/presence-0.4.8/src/media.vala"
	_tmp6_ = self->priv->playbin;
#line 104 "/builddir/build/BUILD/presence-0.4.8/src/media.vala"
	_tmp7_ = _dynamic_get_uri7 (_tmp6_);
#line 104 "/builddir/build/BUILD/presence-0.4.8/src/media.vala"
	_tmp8_ = _tmp7_;
#line 104 "/builddir/build/BUILD/presence-0.4.8/src/media.vala"
	g_debug ("media.vala:104: -> %s", _tmp8_);
#line 106 "/builddir/build/BUILD/presence-0.4.8/src/media.vala"
	_tmp9_ = self->priv->audio_sink;
#line 106 "/builddir/build/BUILD/presence-0.4.8/src/media.vala"
	_tmp10_ = self->priv->_uri;
#line 106 "/builddir/build/BUILD/presence-0.4.8/src/media.vala"
	_tmp11_ = string_to_string (_tmp10_);
#line 106 "/builddir/build/BUILD/presence-0.4.8/src/media.vala"
	_tmp12_ = g_strconcat ("presence (out) from '", _tmp11_, "'", NULL);
#line 106 "/builddir/build/BUILD/presence-0.4.8/src/media.vala"
	_tmp13_ = _tmp12_;
#line 106 "/builddir/build/BUILD/presence-0.4.8/src/media.vala"
	_dynamic_set_client8 (_tmp9_, _tmp13_);
#line 106 "/builddir/build/BUILD/presence-0.4.8/src/media.vala"
	_g_free0 (_tmp13_);
#line 107 "/builddir/build/BUILD/presence-0.4.8/src/media.vala"
	_tmp14_ = self->priv->playbin;
#line 107 "/builddir/build/BUILD/presence-0.4.8/src/media.vala"
	gst_element_set_state (_tmp14_, GST_STATE_PLAYING);
#line 560 "media.c"
}


void media_rtsp_client_stop (MediaRTSPClient* self) {
	GstElement* _tmp0_ = NULL;
#line 110 "/builddir/build/BUILD/presence-0.4.8/src/media.vala"
	g_return_if_fail (self != NULL);
#line 112 "/builddir/build/BUILD/presence-0.4.8/src/media.vala"
	_tmp0_ = self->priv->playbin;
#line 112 "/builddir/build/BUILD/presence-0.4.8/src/media.vala"
	gst_element_set_state (_tmp0_, GST_STATE_NULL);
#line 572 "media.c"
}


const gchar* media_rtsp_client_get_uri (MediaRTSPClient* self) {
	const gchar* result;
	const gchar* _tmp0_ = NULL;
#line 40 "/builddir/build/BUILD/presence-0.4.8/src/media.vala"
	g_return_val_if_fail (self != NULL, NULL);
#line 40 "/builddir/build/BUILD/presence-0.4.8/src/media.vala"
	_tmp0_ = self->priv->_uri;
#line 40 "/builddir/build/BUILD/presence-0.4.8/src/media.vala"
	result = _tmp0_;
#line 40 "/builddir/build/BUILD/presence-0.4.8/src/media.vala"
	return result;
#line 587 "media.c"
}


void media_rtsp_client_set_uri (MediaRTSPClient* self, const gchar* value) {
	const gchar* _tmp0_ = NULL;
	gchar* _tmp1_ = NULL;
#line 41 "/builddir/build/BUILD/presence-0.4.8/src/media.vala"
	g_return_if_fail (self != NULL);
#line 41 "/builddir/build/BUILD/presence-0.4.8/src/media.vala"
	_tmp0_ = value;
#line 41 "/builddir/build/BUILD/presence-0.4.8/src/media.vala"
	_tmp1_ = g_strdup (_tmp0_);
#line 41 "/builddir/build/BUILD/presence-0.4.8/src/media.vala"
	_g_free0 (self->priv->_uri);
#line 41 "/builddir/build/BUILD/presence-0.4.8/src/media.vala"
	self->priv->_uri = _tmp1_;
#line 41 "/builddir/build/BUILD/presence-0.4.8/src/media.vala"
	g_object_notify ((GObject *) self, "uri");
#line 606 "media.c"
}


gboolean media_rtsp_client_get_mute (MediaRTSPClient* self) {
	gboolean result;
	gboolean _tmp0_ = FALSE;
#line 46 "/builddir/build/BUILD/presence-0.4.8/src/media.vala"
	g_return_val_if_fail (self != NULL, FALSE);
#line 46 "/builddir/build/BUILD/presence-0.4.8/src/media.vala"
	_tmp0_ = self->priv->_mute;
#line 46 "/builddir/build/BUILD/presence-0.4.8/src/media.vala"
	result = _tmp0_;
#line 46 "/builddir/build/BUILD/presence-0.4.8/src/media.vala"
	return result;
#line 621 "media.c"
}


void media_rtsp_client_set_mute (MediaRTSPClient* self, gboolean value) {
	gboolean _tmp0_ = FALSE;
#line 47 "/builddir/build/BUILD/presence-0.4.8/src/media.vala"
	g_return_if_fail (self != NULL);
#line 47 "/builddir/build/BUILD/presence-0.4.8/src/media.vala"
	_tmp0_ = value;
#line 47 "/builddir/build/BUILD/presence-0.4.8/src/media.vala"
	self->priv->_mute = _tmp0_;
#line 47 "/builddir/build/BUILD/presence-0.4.8/src/media.vala"
	g_object_notify ((GObject *) self, "mute");
#line 635 "media.c"
}


static void media_rtsp_client_class_init (MediaRTSPClientClass * klass) {
#line 33 "/builddir/build/BUILD/presence-0.4.8/src/media.vala"
	media_rtsp_client_parent_class = g_type_class_peek_parent (klass);
#line 33 "/builddir/build/BUILD/presence-0.4.8/src/media.vala"
	g_type_class_add_private (klass, sizeof (MediaRTSPClientPrivate));
#line 33 "/builddir/build/BUILD/presence-0.4.8/src/media.vala"
	G_OBJECT_CLASS (klass)->get_property = _vala_media_rtsp_client_get_property;
#line 33 "/builddir/build/BUILD/presence-0.4.8/src/media.vala"
	G_OBJECT_CLASS (klass)->set_property = _vala_media_rtsp_client_set_property;
#line 33 "/builddir/build/BUILD/presence-0.4.8/src/media.vala"
	G_OBJECT_CLASS (klass)->finalize = media_rtsp_client_finalize;
#line 33 "/builddir/build/BUILD/presence-0.4.8/src/media.vala"
	g_object_class_install_property (G_OBJECT_CLASS (klass), MEDIA_RTSP_CLIENT_URI, g_param_spec_string ("uri", "uri", "uri", NULL, G_PARAM_STATIC_NAME | G_PARAM_STATIC_NICK | G_PARAM_STATIC_BLURB | G_PARAM_READABLE | G_PARAM_WRITABLE));
#line 33 "/builddir/build/BUILD/presence-0.4.8/src/media.vala"
	g_object_class_install_property (G_OBJECT_CLASS (klass), MEDIA_RTSP_CLIENT_MUTE, g_param_spec_boolean ("mute", "mute", "mute", FALSE, G_PARAM_STATIC_NAME | G_PARAM_STATIC_NICK | G_PARAM_STATIC_BLURB | G_PARAM_READABLE | G_PARAM_WRITABLE));
#line 654 "media.c"
}


static void media_rtsp_client_instance_init (MediaRTSPClient * self) {
	gchar* _tmp0_ = NULL;
#line 33 "/builddir/build/BUILD/presence-0.4.8/src/media.vala"
	self->priv = MEDIA_RTSP_CLIENT_GET_PRIVATE (self);
#line 39 "/builddir/build/BUILD/presence-0.4.8/src/media.vala"
	_tmp0_ = g_strdup ("");
#line 39 "/builddir/build/BUILD/presence-0.4.8/src/media.vala"
	self->priv->_uri = _tmp0_;
#line 45 "/builddir/build/BUILD/presence-0.4.8/src/media.vala"
	self->priv->_mute = FALSE;
#line 668 "media.c"
}


static void media_rtsp_client_finalize (GObject* obj) {
	MediaRTSPClient * self;
#line 33 "/builddir/build/BUILD/presence-0.4.8/src/media.vala"
	self = G_TYPE_CHECK_INSTANCE_CAST (obj, MEDIA_TYPE_RTSP_CLIENT, MediaRTSPClient);
#line 67 "/builddir/build/BUILD/presence-0.4.8/src/media.vala"
	media_rtsp_client_stop (self);
#line 69 "/builddir/build/BUILD/presence-0.4.8/src/media.vala"
	g_debug ("media.vala:69: RTSPClient destroyed.");
#line 35 "/builddir/build/BUILD/presence-0.4.8/src/media.vala"
	_gst_object_unref0 (self->priv->playbin);
#line 36 "/builddir/build/BUILD/presence-0.4.8/src/media.vala"
	_gst_object_unref0 (self->priv->video_sink);
#line 37 "/builddir/build/BUILD/presence-0.4.8/src/media.vala"
	_gst_object_unref0 (self->priv->audio_sink);
#line 39 "/builddir/build/BUILD/presence-0.4.8/src/media.vala"
	_g_free0 (self->priv->_uri);
#line 33 "/builddir/build/BUILD/presence-0.4.8/src/media.vala"
	G_OBJECT_CLASS (media_rtsp_client_parent_class)->finalize (obj);
#line 690 "media.c"
}


GType media_rtsp_client_get_type (void) {
	static volatile gsize media_rtsp_client_type_id__volatile = 0;
	if (g_once_init_enter (&media_rtsp_client_type_id__volatile)) {
		static const GTypeInfo g_define_type_info = { sizeof (MediaRTSPClientClass), (GBaseInitFunc) NULL, (GBaseFinalizeFunc) NULL, (GClassInitFunc) media_rtsp_client_class_init, (GClassFinalizeFunc) NULL, NULL, sizeof (MediaRTSPClient), 0, (GInstanceInitFunc) media_rtsp_client_instance_init, NULL };
		GType media_rtsp_client_type_id;
		media_rtsp_client_type_id = g_type_register_static (G_TYPE_OBJECT, "MediaRTSPClient", &g_define_type_info, 0);
		g_once_init_leave (&media_rtsp_client_type_id__volatile, media_rtsp_client_type_id);
	}
	return media_rtsp_client_type_id__volatile;
}


static void _vala_media_rtsp_client_get_property (GObject * object, guint property_id, GValue * value, GParamSpec * pspec) {
	MediaRTSPClient * self;
	self = G_TYPE_CHECK_INSTANCE_CAST (object, MEDIA_TYPE_RTSP_CLIENT, MediaRTSPClient);
#line 33 "/builddir/build/BUILD/presence-0.4.8/src/media.vala"
	switch (property_id) {
#line 33 "/builddir/build/BUILD/presence-0.4.8/src/media.vala"
		case MEDIA_RTSP_CLIENT_URI:
#line 33 "/builddir/build/BUILD/presence-0.4.8/src/media.vala"
		g_value_set_string (value, media_rtsp_client_get_uri (self));
#line 33 "/builddir/build/BUILD/presence-0.4.8/src/media.vala"
		break;
#line 33 "/builddir/build/BUILD/presence-0.4.8/src/media.vala"
		case MEDIA_RTSP_CLIENT_MUTE:
#line 33 "/builddir/build/BUILD/presence-0.4.8/src/media.vala"
		g_value_set_boolean (value, media_rtsp_client_get_mute (self));
#line 33 "/builddir/build/BUILD/presence-0.4.8/src/media.vala"
		break;
#line 723 "media.c"
		default:
#line 33 "/builddir/build/BUILD/presence-0.4.8/src/media.vala"
		G_OBJECT_WARN_INVALID_PROPERTY_ID (object, property_id, pspec);
#line 33 "/builddir/build/BUILD/presence-0.4.8/src/media.vala"
		break;
#line 729 "media.c"
	}
}


static void _vala_media_rtsp_client_set_property (GObject * object, guint property_id, const GValue * value, GParamSpec * pspec) {
	MediaRTSPClient * self;
	self = G_TYPE_CHECK_INSTANCE_CAST (object, MEDIA_TYPE_RTSP_CLIENT, MediaRTSPClient);
#line 33 "/builddir/build/BUILD/presence-0.4.8/src/media.vala"
	switch (property_id) {
#line 33 "/builddir/build/BUILD/presence-0.4.8/src/media.vala"
		case MEDIA_RTSP_CLIENT_URI:
#line 33 "/builddir/build/BUILD/presence-0.4.8/src/media.vala"
		media_rtsp_client_set_uri (self, g_value_get_string (value));
#line 33 "/builddir/build/BUILD/presence-0.4.8/src/media.vala"
		break;
#line 33 "/builddir/build/BUILD/presence-0.4.8/src/media.vala"
		case MEDIA_RTSP_CLIENT_MUTE:
#line 33 "/builddir/build/BUILD/presence-0.4.8/src/media.vala"
		media_rtsp_client_set_mute (self, g_value_get_boolean (value));
#line 33 "/builddir/build/BUILD/presence-0.4.8/src/media.vala"
		break;
#line 751 "media.c"
		default:
#line 33 "/builddir/build/BUILD/presence-0.4.8/src/media.vala"
		G_OBJECT_WARN_INVALID_PROPERTY_ID (object, property_id, pspec);
#line 33 "/builddir/build/BUILD/presence-0.4.8/src/media.vala"
		break;
#line 757 "media.c"
	}
}


MediaLocalRTSPServer* media_local_rtsp_server_construct (GType object_type) {
	MediaLocalRTSPServer * self = NULL;
	GstRTSPServer* _tmp0_ = NULL;
	GstRTSPServer* _tmp1_ = NULL;
	GstRTSPMediaMapping* _tmp2_ = NULL;
	GstRTSPServer* _tmp3_ = NULL;
#line 281 "/builddir/build/BUILD/presence-0.4.8/src/media.vala"
	self = (MediaLocalRTSPServer*) g_object_new (object_type, NULL);
#line 283 "/builddir/build/BUILD/presence-0.4.8/src/media.vala"
	_tmp0_ = gst_rtsp_server_new ();
#line 283 "/builddir/build/BUILD/presence-0.4.8/src/media.vala"
	_g_object_unref0 (self->priv->server);
#line 283 "/builddir/build/BUILD/presence-0.4.8/src/media.vala"
	self->priv->server = _tmp0_;
#line 284 "/builddir/build/BUILD/presence-0.4.8/src/media.vala"
	_tmp1_ = self->priv->server;
#line 284 "/builddir/build/BUILD/presence-0.4.8/src/media.vala"
	_tmp2_ = gst_rtsp_server_get_media_mapping (_tmp1_);
#line 284 "/builddir/build/BUILD/presence-0.4.8/src/media.vala"
	_g_object_unref0 (self->priv->mapping);
#line 284 "/builddir/build/BUILD/presence-0.4.8/src/media.vala"
	self->priv->mapping = _tmp2_;
#line 286 "/builddir/build/BUILD/presence-0.4.8/src/media.vala"
	_tmp3_ = self->priv->server;
#line 286 "/builddir/build/BUILD/presence-0.4.8/src/media.vala"
	g_object_bind_property_with_closures ((GObject*) self, "port", (GObject*) _tmp3_, "service", G_BINDING_SYNC_CREATE, (GClosure*) ((NULL == NULL) ? NULL : g_cclosure_new ((GCallback) NULL, NULL, NULL)), (GClosure*) ((NULL == NULL) ? NULL : g_cclosure_new ((GCallback) NULL, NULL, NULL)));
#line 281 "/builddir/build/BUILD/presence-0.4.8/src/media.vala"
	return self;
#line 790 "media.c"
}


MediaLocalRTSPServer* media_local_rtsp_server_new (void) {
#line 281 "/builddir/build/BUILD/presence-0.4.8/src/media.vala"
	return media_local_rtsp_server_construct (MEDIA_TYPE_LOCAL_RTSP_SERVER);
#line 797 "media.c"
}


static gpointer _g_main_loop_ref0 (gpointer self) {
#line 292 "/builddir/build/BUILD/presence-0.4.8/src/media.vala"
	return self ? g_main_loop_ref (self) : NULL;
#line 804 "media.c"
}


void media_local_rtsp_server_attach (MediaLocalRTSPServer* self, GMainLoop* l) {
	GMainLoop* _tmp0_ = NULL;
	GMainLoop* _tmp1_ = NULL;
	const gchar* _tmp2_ = NULL;
	gboolean _tmp3_ = FALSE;
	GstRTSPServer* _tmp4_ = NULL;
	GstRTSPServer* _tmp5_ = NULL;
	const gchar* _tmp6_ = NULL;
	const gchar* _tmp7_ = NULL;
	const gchar* _tmp8_ = NULL;
	const gchar* _tmp9_ = NULL;
	const gchar* _tmp10_ = NULL;
	const gchar* _tmp11_ = NULL;
	const gchar* _tmp12_ = NULL;
	gchar* _tmp13_ = NULL;
	gchar* _tmp14_ = NULL;
	const gchar* _tmp15_ = NULL;
	gchar* _tmp16_ = NULL;
	gchar* _tmp17_ = NULL;
	GstRTSPServer* _tmp18_ = NULL;
	GMainLoop* _tmp19_ = NULL;
	GMainContext* _tmp20_ = NULL;
	const gchar* _tmp21_ = NULL;
	const gchar* _tmp22_ = NULL;
	gchar* _tmp23_ = NULL;
	gchar* _tmp24_ = NULL;
#line 290 "/builddir/build/BUILD/presence-0.4.8/src/media.vala"
	g_return_if_fail (self != NULL);
#line 290 "/builddir/build/BUILD/presence-0.4.8/src/media.vala"
	g_return_if_fail (l != NULL);
#line 292 "/builddir/build/BUILD/presence-0.4.8/src/media.vala"
	_tmp0_ = l;
#line 292 "/builddir/build/BUILD/presence-0.4.8/src/media.vala"
	_tmp1_ = _g_main_loop_ref0 (_tmp0_);
#line 292 "/builddir/build/BUILD/presence-0.4.8/src/media.vala"
	_g_main_loop_unref0 (self->priv->loop);
#line 292 "/builddir/build/BUILD/presence-0.4.8/src/media.vala"
	self->priv->loop = _tmp1_;
#line 295 "/builddir/build/BUILD/presence-0.4.8/src/media.vala"
	_tmp3_ = self->priv->_use_ipv6;
#line 295 "/builddir/build/BUILD/presence-0.4.8/src/media.vala"
	if (_tmp3_) {
#line 295 "/builddir/build/BUILD/presence-0.4.8/src/media.vala"
		_tmp2_ = "::0";
#line 852 "media.c"
	} else {
#line 295 "/builddir/build/BUILD/presence-0.4.8/src/media.vala"
		_tmp2_ = "0.0.0.0";
#line 856 "media.c"
	}
#line 295 "/builddir/build/BUILD/presence-0.4.8/src/media.vala"
	_tmp4_ = self->priv->server;
#line 295 "/builddir/build/BUILD/presence-0.4.8/src/media.vala"
	gst_rtsp_server_set_address (_tmp4_, _tmp2_);
#line 296 "/builddir/build/BUILD/presence-0.4.8/src/media.vala"
	_tmp5_ = self->priv->server;
#line 296 "/builddir/build/BUILD/presence-0.4.8/src/media.vala"
	_tmp6_ = gst_rtsp_server_get_address (_tmp5_);
#line 296 "/builddir/build/BUILD/presence-0.4.8/src/media.vala"
	_tmp7_ = _tmp6_;
#line 296 "/builddir/build/BUILD/presence-0.4.8/src/media.vala"
	_tmp8_ = string_to_string (_tmp7_);
#line 296 "/builddir/build/BUILD/presence-0.4.8/src/media.vala"
	_tmp9_ = self->priv->_port;
#line 296 "/builddir/build/BUILD/presence-0.4.8/src/media.vala"
	_tmp10_ = string_to_string (_tmp9_);
#line 296 "/builddir/build/BUILD/presence-0.4.8/src/media.vala"
	_tmp11_ = self->priv->_mountpoint;
#line 296 "/builddir/build/BUILD/presence-0.4.8/src/media.vala"
	_tmp12_ = string_to_string (_tmp11_);
#line 296 "/builddir/build/BUILD/presence-0.4.8/src/media.vala"
	_tmp13_ = g_strconcat ("rtsp://", _tmp8_, ":", _tmp10_, "/", _tmp12_, NULL);
#line 296 "/builddir/build/BUILD/presence-0.4.8/src/media.vala"
	_tmp14_ = _tmp13_;
#line 296 "/builddir/build/BUILD/presence-0.4.8/src/media.vala"
	media_local_rtsp_server_set_address (self, _tmp14_);
#line 296 "/builddir/build/BUILD/presence-0.4.8/src/media.vala"
	_g_free0 (_tmp14_);
#line 299 "/builddir/build/BUILD/presence-0.4.8/src/media.vala"
	_tmp15_ = self->priv->_mountpoint;
#line 299 "/builddir/build/BUILD/presence-0.4.8/src/media.vala"
	_tmp16_ = media_local_rtsp_server_build_default_launchline (self);
#line 299 "/builddir/build/BUILD/presence-0.4.8/src/media.vala"
	_tmp17_ = _tmp16_;
#line 299 "/builddir/build/BUILD/presence-0.4.8/src/media.vala"
	media_local_rtsp_server_add_mapping (self, _tmp15_, _tmp17_);
#line 299 "/builddir/build/BUILD/presence-0.4.8/src/media.vala"
	_g_free0 (_tmp17_);
#line 301 "/builddir/build/BUILD/presence-0.4.8/src/media.vala"
	_tmp18_ = self->priv->server;
#line 301 "/builddir/build/BUILD/presence-0.4.8/src/media.vala"
	_tmp19_ = self->priv->loop;
#line 301 "/builddir/build/BUILD/presence-0.4.8/src/media.vala"
	_tmp20_ = g_main_loop_get_context (_tmp19_);
#line 301 "/builddir/build/BUILD/presence-0.4.8/src/media.vala"
	gst_rtsp_server_attach (_tmp18_, _tmp20_);
#line 304 "/builddir/build/BUILD/presence-0.4.8/src/media.vala"
	_tmp21_ = self->priv->_address;
#line 304 "/builddir/build/BUILD/presence-0.4.8/src/media.vala"
	_tmp22_ = string_to_string (_tmp21_);
#line 304 "/builddir/build/BUILD/presence-0.4.8/src/media.vala"
	_tmp23_ = g_strconcat ("Stream ready at ", _tmp22_, NULL);
#line 304 "/builddir/build/BUILD/presence-0.4.8/src/media.vala"
	_tmp24_ = _tmp23_;
#line 304 "/builddir/build/BUILD/presence-0.4.8/src/media.vala"
	g_debug ("media.vala:304: %s", _tmp24_);
#line 304 "/builddir/build/BUILD/presence-0.4.8/src/media.vala"
	_g_free0 (_tmp24_);
#line 916 "media.c"
}


void media_local_rtsp_server_add_mapping (MediaLocalRTSPServer* self, const gchar* mountpoint, const gchar* launchline) {
	GstRTSPMediaFactory* factory = NULL;
	GstRTSPMediaFactory* _tmp0_ = NULL;
	GstRTSPAuth* auth = NULL;
	GstRTSPAuth* _tmp1_ = NULL;
	const gchar* _tmp2_ = NULL;
	GstRTSPMediaFactory* _tmp10_ = NULL;
	GstRTSPMediaFactory* _tmp11_ = NULL;
	const gchar* _tmp12_ = NULL;
	GstRTSPMediaFactory* _tmp13_ = NULL;
	GstRTSPMediaMapping* _tmp14_ = NULL;
	const gchar* _tmp15_ = NULL;
	gchar* _tmp16_ = NULL;
	gchar* _tmp17_ = NULL;
	GstRTSPMediaFactory* _tmp18_ = NULL;
	const gchar* _tmp19_ = NULL;
	const gchar* _tmp20_ = NULL;
	const gchar* _tmp21_ = NULL;
	const gchar* _tmp22_ = NULL;
	gchar* _tmp23_ = NULL;
	gchar* _tmp24_ = NULL;
#line 308 "/builddir/build/BUILD/presence-0.4.8/src/media.vala"
	g_return_if_fail (self != NULL);
#line 308 "/builddir/build/BUILD/presence-0.4.8/src/media.vala"
	g_return_if_fail (mountpoint != NULL);
#line 308 "/builddir/build/BUILD/presence-0.4.8/src/media.vala"
	g_return_if_fail (launchline != NULL);
#line 310 "/builddir/build/BUILD/presence-0.4.8/src/media.vala"
	_tmp0_ = gst_rtsp_media_factory_new ();
#line 310 "/builddir/build/BUILD/presence-0.4.8/src/media.vala"
	factory = _tmp0_;
#line 311 "/builddir/build/BUILD/presence-0.4.8/src/media.vala"
	_tmp1_ = gst_rtsp_auth_new ();
#line 311 "/builddir/build/BUILD/presence-0.4.8/src/media.vala"
	auth = _tmp1_;
#line 313 "/builddir/build/BUILD/presence-0.4.8/src/media.vala"
	_tmp2_ = self->priv->_password;
#line 313 "/builddir/build/BUILD/presence-0.4.8/src/media.vala"
	if (_tmp2_ != NULL) {
#line 959 "media.c"
		GstRTSPAuth* _tmp3_ = NULL;
		const gchar* _tmp4_ = NULL;
		const gchar* _tmp5_ = NULL;
		gchar* _tmp6_ = NULL;
		gchar* _tmp7_ = NULL;
		GstRTSPMediaFactory* _tmp8_ = NULL;
		GstRTSPAuth* _tmp9_ = NULL;
#line 315 "/builddir/build/BUILD/presence-0.4.8/src/media.vala"
		_tmp3_ = auth;
#line 315 "/builddir/build/BUILD/presence-0.4.8/src/media.vala"
		_tmp4_ = self->priv->_user;
#line 315 "/builddir/build/BUILD/presence-0.4.8/src/media.vala"
		_tmp5_ = self->priv->_password;
#line 315 "/builddir/build/BUILD/presence-0.4.8/src/media.vala"
		_tmp6_ = gst_rtsp_auth_make_basic (_tmp4_, _tmp5_);
#line 315 "/builddir/build/BUILD/presence-0.4.8/src/media.vala"
		_tmp7_ = _tmp6_;
#line 315 "/builddir/build/BUILD/presence-0.4.8/src/media.vala"
		gst_rtsp_auth_set_basic (_tmp3_, _tmp7_);
#line 315 "/builddir/build/BUILD/presence-0.4.8/src/media.vala"
		_g_free0 (_tmp7_);
#line 318 "/builddir/build/BUILD/presence-0.4.8/src/media.vala"
		_tmp8_ = factory;
#line 318 "/builddir/build/BUILD/presence-0.4.8/src/media.vala"
		_tmp9_ = auth;
#line 318 "/builddir/build/BUILD/presence-0.4.8/src/media.vala"
		gst_rtsp_media_factory_set_auth (_tmp8_, _tmp9_);
#line 987 "media.c"
	}
#line 321 "/builddir/build/BUILD/presence-0.4.8/src/media.vala"
	_tmp10_ = factory;
#line 321 "/builddir/build/BUILD/presence-0.4.8/src/media.vala"
	g_object_set (_tmp10_, "shared", TRUE, NULL);
#line 322 "/builddir/build/BUILD/presence-0.4.8/src/media.vala"
	_tmp11_ = factory;
#line 322 "/builddir/build/BUILD/presence-0.4.8/src/media.vala"
	_tmp12_ = launchline;
#line 322 "/builddir/build/BUILD/presence-0.4.8/src/media.vala"
	gst_rtsp_media_factory_set_launch (_tmp11_, _tmp12_);
#line 324 "/builddir/build/BUILD/presence-0.4.8/src/media.vala"
	_tmp13_ = factory;
#line 324 "/builddir/build/BUILD/presence-0.4.8/src/media.vala"
	g_object_ref ((GObject*) _tmp13_);
#line 325 "/builddir/build/BUILD/presence-0.4.8/src/media.vala"
	_tmp14_ = self->priv->mapping;
#line 325 "/builddir/build/BUILD/presence-0.4.8/src/media.vala"
	_tmp15_ = mountpoint;
#line 325 "/builddir/build/BUILD/presence-0.4.8/src/media.vala"
	_tmp16_ = g_strconcat ("/", _tmp15_, NULL);
#line 325 "/builddir/build/BUILD/presence-0.4.8/src/media.vala"
	_tmp17_ = _tmp16_;
#line 325 "/builddir/build/BUILD/presence-0.4.8/src/media.vala"
	_tmp18_ = factory;
#line 325 "/builddir/build/BUILD/presence-0.4.8/src/media.vala"
	gst_rtsp_media_mapping_add_factory (_tmp14_, _tmp17_, _tmp18_);
#line 325 "/builddir/build/BUILD/presence-0.4.8/src/media.vala"
	_g_free0 (_tmp17_);
#line 327 "/builddir/build/BUILD/presence-0.4.8/src/media.vala"
	_tmp19_ = mountpoint;
#line 327 "/builddir/build/BUILD/presence-0.4.8/src/media.vala"
	_tmp20_ = string_to_string (_tmp19_);
#line 327 "/builddir/build/BUILD/presence-0.4.8/src/media.vala"
	_tmp21_ = launchline;
#line 327 "/builddir/build/BUILD/presence-0.4.8/src/media.vala"
	_tmp22_ = string_to_string (_tmp21_);
#line 327 "/builddir/build/BUILD/presence-0.4.8/src/media.vala"
	_tmp23_ = g_strconcat ("Mapping added for '", _tmp20_, "' with: ", _tmp22_, NULL);
#line 327 "/builddir/build/BUILD/presence-0.4.8/src/media.vala"
	_tmp24_ = _tmp23_;
#line 327 "/builddir/build/BUILD/presence-0.4.8/src/media.vala"
	g_warning ("media.vala:327: %s", _tmp24_);
#line 327 "/builddir/build/BUILD/presence-0.4.8/src/media.vala"
	_g_free0 (_tmp24_);
#line 308 "/builddir/build/BUILD/presence-0.4.8/src/media.vala"
	_g_object_unref0 (auth);
#line 308 "/builddir/build/BUILD/presence-0.4.8/src/media.vala"
	_g_object_unref0 (factory);
#line 1037 "media.c"
}


static gchar* media_local_rtsp_server_build_default_launchline (MediaLocalRTSPServer* self) {
	gchar* result = NULL;
	gchar* qustr = NULL;
	gchar* _tmp0_ = NULL;
	gint qustr_length1 = 0;
	gint _qustr_size_ = 0;
	gdouble* _tmp1_ = NULL;
	gdouble* _tmp2_ = NULL;
	gchar* launchline = NULL;
	const gchar* _tmp5_ = NULL;
	guint _tmp6_ = 0U;
	guint _tmp7_ = 0U;
	guint _tmp8_ = 0U;
	guint _tmp9_ = 0U;
	gdouble _tmp10_ = 0.0;
	gdouble _tmp11_ = 0.0;
	gchar* _tmp12_ = NULL;
	gint _tmp12__length1 = 0;
	const gchar* _tmp13_ = NULL;
	gchar* _tmp14_ = NULL;
#line 331 "/builddir/build/BUILD/presence-0.4.8/src/media.vala"
	g_return_val_if_fail (self != NULL, NULL);
#line 333 "/builddir/build/BUILD/presence-0.4.8/src/media.vala"
	_tmp0_ = g_new0 (gchar, 128);
#line 333 "/builddir/build/BUILD/presence-0.4.8/src/media.vala"
	qustr = _tmp0_;
#line 333 "/builddir/build/BUILD/presence-0.4.8/src/media.vala"
	qustr_length1 = 128;
#line 333 "/builddir/build/BUILD/presence-0.4.8/src/media.vala"
	_qustr_size_ = qustr_length1;
#line 356 "/builddir/build/BUILD/presence-0.4.8/src/media.vala"
	_tmp2_ = self->priv->_video_fps_request;
#line 356 "/builddir/build/BUILD/presence-0.4.8/src/media.vala"
	_tmp1_ = _tmp2_;
#line 356 "/builddir/build/BUILD/presence-0.4.8/src/media.vala"
	if (_tmp1_ == NULL) {
#line 1077 "media.c"
		gdouble _tmp3_ = 0.0;
		gdouble _tmp4_ = 0.0;
#line 356 "/builddir/build/BUILD/presence-0.4.8/src/media.vala"
		_tmp3_ = media_local_rtsp_server_get_video_fps (self);
#line 356 "/builddir/build/BUILD/presence-0.4.8/src/media.vala"
		_tmp4_ = _tmp3_;
#line 356 "/builddir/build/BUILD/presence-0.4.8/src/media.vala"
		_tmp1_ = &_tmp4_;
#line 1086 "media.c"
	}
#line 335 "/builddir/build/BUILD/presence-0.4.8/src/media.vala"
	_tmp5_ = self->priv->_video_device;
#line 335 "/builddir/build/BUILD/presence-0.4.8/src/media.vala"
	_tmp6_ = media_local_rtsp_server_get_video_width (self);
#line 335 "/builddir/build/BUILD/presence-0.4.8/src/media.vala"
	_tmp7_ = _tmp6_;
#line 335 "/builddir/build/BUILD/presence-0.4.8/src/media.vala"
	_tmp8_ = media_local_rtsp_server_get_video_height (self);
#line 335 "/builddir/build/BUILD/presence-0.4.8/src/media.vala"
	_tmp9_ = _tmp8_;
#line 335 "/builddir/build/BUILD/presence-0.4.8/src/media.vala"
	_tmp10_ = media_local_rtsp_server_get_video_quality (self);
#line 335 "/builddir/build/BUILD/presence-0.4.8/src/media.vala"
	_tmp11_ = _tmp10_;
#line 335 "/builddir/build/BUILD/presence-0.4.8/src/media.vala"
	_tmp12_ = qustr;
#line 335 "/builddir/build/BUILD/presence-0.4.8/src/media.vala"
	_tmp12__length1 = qustr_length1;
#line 335 "/builddir/build/BUILD/presence-0.4.8/src/media.vala"
	_tmp13_ = g_ascii_dtostr (_tmp12_, _tmp12__length1, _tmp11_);
#line 335 "/builddir/build/BUILD/presence-0.4.8/src/media.vala"
	_tmp14_ = g_strdup_printf ("( \n" \
"  (\n" \
"    v4l2src device=%s \n" \
"    ! videorate \n" \
"    ! aspectratiocrop aspect-ratio=16/9 \n" \
"    ! videoscale \n" \
"    ! video/x-raw-yuv,width=%.0f,height=%.0f,framerate=%.0f/1 \n" \
"    ! schroenc force-profile=vc2_simple quality=%s queue-depth=5\n" \
"  )\n" \
"  ! queue \n" \
"  ! rtpgstpay pt=96 name=pay0\n" \
"\n" \
"  (\n" \
"    pulsesrc do-timestamp=true stream-properties='props,media.role=pho" \
"ne,filter.want=echo-cancel' client='Presence (in)'\n" \
"    ! vobisenc \n" \
"  )\n" \
"  ! queue \n" \
"  ! rtpgstpay pt=97 name=pay1 \n" \
")", _tmp5_, (gdouble) _tmp7_, (gdouble) _tmp9_, *_tmp1_, _tmp13_);
#line 335 "/builddir/build/BUILD/presence-0.4.8/src/media.vala"
	launchline = _tmp14_;
#line 369 "/builddir/build/BUILD/presence-0.4.8/src/media.vala"
	result = launchline;
#line 369 "/builddir/build/BUILD/presence-0.4.8/src/media.vala"
	qustr = (g_free (qustr), NULL);
#line 369 "/builddir/build/BUILD/presence-0.4.8/src/media.vala"
	return result;
#line 1118 "media.c"
}


void media_local_rtsp_server_quit (MediaLocalRTSPServer* self) {
	GMainLoop* _tmp0_ = NULL;
#line 372 "/builddir/build/BUILD/presence-0.4.8/src/media.vala"
	g_return_if_fail (self != NULL);
#line 374 "/builddir/build/BUILD/presence-0.4.8/src/media.vala"
	_tmp0_ = self->priv->loop;
#line 374 "/builddir/build/BUILD/presence-0.4.8/src/media.vala"
	if (_tmp0_ != NULL) {
#line 1130 "media.c"
		GMainLoop* _tmp1_ = NULL;
#line 376 "/builddir/build/BUILD/presence-0.4.8/src/media.vala"
		_tmp1_ = self->priv->loop;
#line 376 "/builddir/build/BUILD/presence-0.4.8/src/media.vala"
		g_main_loop_quit (_tmp1_);
#line 1136 "media.c"
	}
}


gboolean media_local_rtsp_server_get_use_ipv6 (MediaLocalRTSPServer* self) {
	gboolean result;
	gboolean _tmp0_ = FALSE;
#line 153 "/builddir/build/BUILD/presence-0.4.8/src/media.vala"
	g_return_val_if_fail (self != NULL, FALSE);
#line 153 "/builddir/build/BUILD/presence-0.4.8/src/media.vala"
	_tmp0_ = self->priv->_use_ipv6;
#line 153 "/builddir/build/BUILD/presence-0.4.8/src/media.vala"
	result = _tmp0_;
#line 153 "/builddir/build/BUILD/presence-0.4.8/src/media.vala"
	return result;
#line 1152 "media.c"
}


void media_local_rtsp_server_set_use_ipv6 (MediaLocalRTSPServer* self, gboolean value) {
	gboolean _tmp0_ = FALSE;
#line 154 "/builddir/build/BUILD/presence-0.4.8/src/media.vala"
	g_return_if_fail (self != NULL);
#line 154 "/builddir/build/BUILD/presence-0.4.8/src/media.vala"
	_tmp0_ = value;
#line 154 "/builddir/build/BUILD/presence-0.4.8/src/media.vala"
	self->priv->_use_ipv6 = _tmp0_;
#line 154 "/builddir/build/BUILD/presence-0.4.8/src/media.vala"
	g_object_notify ((GObject *) self, "use-ipv6");
#line 1166 "media.c"
}


const gchar* media_local_rtsp_server_get_port (MediaLocalRTSPServer* self) {
	const gchar* result;
	const gchar* _tmp0_ = NULL;
#line 162 "/builddir/build/BUILD/presence-0.4.8/src/media.vala"
	g_return_val_if_fail (self != NULL, NULL);
#line 162 "/builddir/build/BUILD/presence-0.4.8/src/media.vala"
	_tmp0_ = self->priv->_port;
#line 162 "/builddir/build/BUILD/presence-0.4.8/src/media.vala"
	result = _tmp0_;
#line 162 "/builddir/build/BUILD/presence-0.4.8/src/media.vala"
	return result;
#line 1181 "media.c"
}


void media_local_rtsp_server_set_port (MediaLocalRTSPServer* self, const gchar* value) {
	const gchar* _tmp0_ = NULL;
	gchar* _tmp1_ = NULL;
#line 163 "/builddir/build/BUILD/presence-0.4.8/src/media.vala"
	g_return_if_fail (self != NULL);
#line 163 "/builddir/build/BUILD/presence-0.4.8/src/media.vala"
	_tmp0_ = value;
#line 163 "/builddir/build/BUILD/presence-0.4.8/src/media.vala"
	_tmp1_ = g_strdup (_tmp0_);
#line 163 "/builddir/build/BUILD/presence-0.4.8/src/media.vala"
	_g_free0 (self->priv->_port);
#line 163 "/builddir/build/BUILD/presence-0.4.8/src/media.vala"
	self->priv->_port = _tmp1_;
#line 163 "/builddir/build/BUILD/presence-0.4.8/src/media.vala"
	g_object_notify ((GObject *) self, "port");
#line 1200 "media.c"
}


const gchar* media_local_rtsp_server_get_mountpoint (MediaLocalRTSPServer* self) {
	const gchar* result;
	const gchar* _tmp0_ = NULL;
#line 171 "/builddir/build/BUILD/presence-0.4.8/src/media.vala"
	g_return_val_if_fail (self != NULL, NULL);
#line 171 "/builddir/build/BUILD/presence-0.4.8/src/media.vala"
	_tmp0_ = self->priv->_mountpoint;
#line 171 "/builddir/build/BUILD/presence-0.4.8/src/media.vala"
	result = _tmp0_;
#line 171 "/builddir/build/BUILD/presence-0.4.8/src/media.vala"
	return result;
#line 1215 "media.c"
}


void media_local_rtsp_server_set_mountpoint (MediaLocalRTSPServer* self, const gchar* value) {
	const gchar* _tmp0_ = NULL;
	gchar* _tmp1_ = NULL;
#line 172 "/builddir/build/BUILD/presence-0.4.8/src/media.vala"
	g_return_if_fail (self != NULL);
#line 172 "/builddir/build/BUILD/presence-0.4.8/src/media.vala"
	_tmp0_ = value;
#line 172 "/builddir/build/BUILD/presence-0.4.8/src/media.vala"
	_tmp1_ = g_strdup (_tmp0_);
#line 172 "/builddir/build/BUILD/presence-0.4.8/src/media.vala"
	_g_free0 (self->priv->_mountpoint);
#line 172 "/builddir/build/BUILD/presence-0.4.8/src/media.vala"
	self->priv->_mountpoint = _tmp1_;
#line 172 "/builddir/build/BUILD/presence-0.4.8/src/media.vala"
	g_object_notify ((GObject *) self, "mountpoint");
#line 1234 "media.c"
}


const gchar* media_local_rtsp_server_get_address (MediaLocalRTSPServer* self) {
	const gchar* result;
	const gchar* _tmp0_ = NULL;
#line 180 "/builddir/build/BUILD/presence-0.4.8/src/media.vala"
	g_return_val_if_fail (self != NULL, NULL);
#line 180 "/builddir/build/BUILD/presence-0.4.8/src/media.vala"
	_tmp0_ = self->priv->_address;
#line 180 "/builddir/build/BUILD/presence-0.4.8/src/media.vala"
	result = _tmp0_;
#line 180 "/builddir/build/BUILD/presence-0.4.8/src/media.vala"
	return result;
#line 1249 "media.c"
}


static void media_local_rtsp_server_set_address (MediaLocalRTSPServer* self, const gchar* value) {
	const gchar* _tmp0_ = NULL;
	gchar* _tmp1_ = NULL;
#line 181 "/builddir/build/BUILD/presence-0.4.8/src/media.vala"
	g_return_if_fail (self != NULL);
#line 181 "/builddir/build/BUILD/presence-0.4.8/src/media.vala"
	_tmp0_ = value;
#line 181 "/builddir/build/BUILD/presence-0.4.8/src/media.vala"
	_tmp1_ = g_strdup (_tmp0_);
#line 181 "/builddir/build/BUILD/presence-0.4.8/src/media.vala"
	_g_free0 (self->priv->_address);
#line 181 "/builddir/build/BUILD/presence-0.4.8/src/media.vala"
	self->priv->_address = _tmp1_;
#line 181 "/builddir/build/BUILD/presence-0.4.8/src/media.vala"
	g_object_notify ((GObject *) self, "address");
#line 1268 "media.c"
}


const gchar* media_local_rtsp_server_get_user (MediaLocalRTSPServer* self) {
	const gchar* result;
	const gchar* _tmp0_ = NULL;
#line 185 "/builddir/build/BUILD/presence-0.4.8/src/media.vala"
	g_return_val_if_fail (self != NULL, NULL);
#line 185 "/builddir/build/BUILD/presence-0.4.8/src/media.vala"
	_tmp0_ = self->priv->_user;
#line 185 "/builddir/build/BUILD/presence-0.4.8/src/media.vala"
	result = _tmp0_;
#line 185 "/builddir/build/BUILD/presence-0.4.8/src/media.vala"
	return result;
#line 1283 "media.c"
}


static void media_local_rtsp_server_set_user (MediaLocalRTSPServer* self, const gchar* value) {
	const gchar* _tmp0_ = NULL;
	gchar* _tmp1_ = NULL;
#line 186 "/builddir/build/BUILD/presence-0.4.8/src/media.vala"
	g_return_if_fail (self != NULL);
#line 186 "/builddir/build/BUILD/presence-0.4.8/src/media.vala"
	_tmp0_ = value;
#line 186 "/builddir/build/BUILD/presence-0.4.8/src/media.vala"
	_tmp1_ = g_strdup (_tmp0_);
#line 186 "/builddir/build/BUILD/presence-0.4.8/src/media.vala"
	_g_free0 (self->priv->_user);
#line 186 "/builddir/build/BUILD/presence-0.4.8/src/media.vala"
	self->priv->_user = _tmp1_;
#line 186 "/builddir/build/BUILD/presence-0.4.8/src/media.vala"
	g_object_notify ((GObject *) self, "user");
#line 1302 "media.c"
}


const gchar* media_local_rtsp_server_get_password (MediaLocalRTSPServer* self) {
	const gchar* result;
	const gchar* _tmp0_ = NULL;
#line 191 "/builddir/build/BUILD/presence-0.4.8/src/media.vala"
	g_return_val_if_fail (self != NULL, NULL);
#line 191 "/builddir/build/BUILD/presence-0.4.8/src/media.vala"
	_tmp0_ = self->priv->_password;
#line 191 "/builddir/build/BUILD/presence-0.4.8/src/media.vala"
	result = _tmp0_;
#line 191 "/builddir/build/BUILD/presence-0.4.8/src/media.vala"
	return result;
#line 1317 "media.c"
}


void media_local_rtsp_server_set_password (MediaLocalRTSPServer* self, const gchar* value) {
	const gchar* _tmp0_ = NULL;
	gchar* _tmp1_ = NULL;
#line 192 "/builddir/build/BUILD/presence-0.4.8/src/media.vala"
	g_return_if_fail (self != NULL);
#line 192 "/builddir/build/BUILD/presence-0.4.8/src/media.vala"
	_tmp0_ = value;
#line 192 "/builddir/build/BUILD/presence-0.4.8/src/media.vala"
	_tmp1_ = g_strdup (_tmp0_);
#line 192 "/builddir/build/BUILD/presence-0.4.8/src/media.vala"
	_g_free0 (self->priv->_password);
#line 192 "/builddir/build/BUILD/presence-0.4.8/src/media.vala"
	self->priv->_password = _tmp1_;
#line 192 "/builddir/build/BUILD/presence-0.4.8/src/media.vala"
	g_object_notify ((GObject *) self, "password");
#line 1336 "media.c"
}


const gchar* media_local_rtsp_server_get_video_device (MediaLocalRTSPServer* self) {
	const gchar* result;
	const gchar* _tmp0_ = NULL;
#line 197 "/builddir/build/BUILD/presence-0.4.8/src/media.vala"
	g_return_val_if_fail (self != NULL, NULL);
#line 197 "/builddir/build/BUILD/presence-0.4.8/src/media.vala"
	_tmp0_ = self->priv->_video_device;
#line 197 "/builddir/build/BUILD/presence-0.4.8/src/media.vala"
	result = _tmp0_;
#line 197 "/builddir/build/BUILD/presence-0.4.8/src/media.vala"
	return result;
#line 1351 "media.c"
}


void media_local_rtsp_server_set_video_device (MediaLocalRTSPServer* self, const gchar* value) {
	const gchar* _tmp0_ = NULL;
	gchar* _tmp1_ = NULL;
#line 198 "/builddir/build/BUILD/presence-0.4.8/src/media.vala"
	g_return_if_fail (self != NULL);
#line 198 "/builddir/build/BUILD/presence-0.4.8/src/media.vala"
	_tmp0_ = value;
#line 198 "/builddir/build/BUILD/presence-0.4.8/src/media.vala"
	_tmp1_ = g_strdup (_tmp0_);
#line 198 "/builddir/build/BUILD/presence-0.4.8/src/media.vala"
	_g_free0 (self->priv->_video_device);
#line 198 "/builddir/build/BUILD/presence-0.4.8/src/media.vala"
	self->priv->_video_device = _tmp1_;
#line 198 "/builddir/build/BUILD/presence-0.4.8/src/media.vala"
	g_object_notify ((GObject *) self, "video-device");
#line 1370 "media.c"
}


gdouble media_local_rtsp_server_get_video_scale_factor (MediaLocalRTSPServer* self) {
	gdouble result;
	gdouble _tmp0_ = 0.0;
#line 208 "/builddir/build/BUILD/presence-0.4.8/src/media.vala"
	g_return_val_if_fail (self != NULL, 0.0);
#line 208 "/builddir/build/BUILD/presence-0.4.8/src/media.vala"
	_tmp0_ = self->priv->_video_scale_factor;
#line 208 "/builddir/build/BUILD/presence-0.4.8/src/media.vala"
	result = _tmp0_;
#line 208 "/builddir/build/BUILD/presence-0.4.8/src/media.vala"
	return result;
#line 1385 "media.c"
}


void media_local_rtsp_server_set_video_scale_factor (MediaLocalRTSPServer* self, gdouble value) {
	gdouble _tmp0_ = 0.0;
#line 209 "/builddir/build/BUILD/presence-0.4.8/src/media.vala"
	g_return_if_fail (self != NULL);
#line 209 "/builddir/build/BUILD/presence-0.4.8/src/media.vala"
	_tmp0_ = value;
#line 209 "/builddir/build/BUILD/presence-0.4.8/src/media.vala"
	self->priv->_video_scale_factor = _tmp0_;
#line 209 "/builddir/build/BUILD/presence-0.4.8/src/media.vala"
	g_object_notify ((GObject *) self, "video-scale-factor");
#line 1399 "media.c"
}


guint media_local_rtsp_server_get_video_width (MediaLocalRTSPServer* self) {
	guint result;
	gdouble _tmp0_ = 0.0;
	gdouble _tmp1_ = 0.0;
#line 217 "/builddir/build/BUILD/presence-0.4.8/src/media.vala"
	g_return_val_if_fail (self != NULL, 0U);
#line 217 "/builddir/build/BUILD/presence-0.4.8/src/media.vala"
	_tmp0_ = self->priv->base_width;
#line 217 "/builddir/build/BUILD/presence-0.4.8/src/media.vala"
	_tmp1_ = self->priv->_video_scale_factor;
#line 217 "/builddir/build/BUILD/presence-0.4.8/src/media.vala"
	result = (guint) (_tmp0_ * _tmp1_);
#line 217 "/builddir/build/BUILD/presence-0.4.8/src/media.vala"
	return result;
#line 1417 "media.c"
}


static guint* _uint_dup (guint* self) {
	guint* dup;
#line 218 "/builddir/build/BUILD/presence-0.4.8/src/media.vala"
	dup = g_new0 (guint, 1);
#line 218 "/builddir/build/BUILD/presence-0.4.8/src/media.vala"
	memcpy (dup, self, sizeof (guint));
#line 218 "/builddir/build/BUILD/presence-0.4.8/src/media.vala"
	return dup;
#line 1429 "media.c"
}


static gpointer __uint_dup0 (gpointer self) {
#line 218 "/builddir/build/BUILD/presence-0.4.8/src/media.vala"
	return self ? _uint_dup (self) : NULL;
#line 1436 "media.c"
}


void media_local_rtsp_server_set_video_width (MediaLocalRTSPServer* self, guint value) {
	guint _tmp0_ = 0U;
	guint* _tmp1_ = NULL;
#line 218 "/builddir/build/BUILD/presence-0.4.8/src/media.vala"
	g_return_if_fail (self != NULL);
#line 218 "/builddir/build/BUILD/presence-0.4.8/src/media.vala"
	_tmp0_ = value;
#line 218 "/builddir/build/BUILD/presence-0.4.8/src/media.vala"
	_tmp1_ = __uint_dup0 (&_tmp0_);
#line 218 "/builddir/build/BUILD/presence-0.4.8/src/media.vala"
	_g_free0 (self->priv->_video_height_request);
#line 218 "/builddir/build/BUILD/presence-0.4.8/src/media.vala"
	self->priv->_video_height_request = _tmp1_;
#line 218 "/builddir/build/BUILD/presence-0.4.8/src/media.vala"
	g_object_notify ((GObject *) self, "video-width");
#line 1455 "media.c"
}


guint media_local_rtsp_server_get_video_height (MediaLocalRTSPServer* self) {
	guint result;
	gdouble _tmp0_ = 0.0;
	gdouble _tmp1_ = 0.0;
#line 226 "/builddir/build/BUILD/presence-0.4.8/src/media.vala"
	g_return_val_if_fail (self != NULL, 0U);
#line 226 "/builddir/build/BUILD/presence-0.4.8/src/media.vala"
	_tmp0_ = self->priv->base_height;
#line 226 "/builddir/build/BUILD/presence-0.4.8/src/media.vala"
	_tmp1_ = self->priv->_video_scale_factor;
#line 226 "/builddir/build/BUILD/presence-0.4.8/src/media.vala"
	result = (guint) (_tmp0_ * _tmp1_);
#line 226 "/builddir/build/BUILD/presence-0.4.8/src/media.vala"
	return result;
#line 1473 "media.c"
}


void media_local_rtsp_server_set_video_height (MediaLocalRTSPServer* self, guint value) {
	guint _tmp0_ = 0U;
	guint* _tmp1_ = NULL;
#line 227 "/builddir/build/BUILD/presence-0.4.8/src/media.vala"
	g_return_if_fail (self != NULL);
#line 227 "/builddir/build/BUILD/presence-0.4.8/src/media.vala"
	_tmp0_ = value;
#line 227 "/builddir/build/BUILD/presence-0.4.8/src/media.vala"
	_tmp1_ = __uint_dup0 (&_tmp0_);
#line 227 "/builddir/build/BUILD/presence-0.4.8/src/media.vala"
	_g_free0 (self->priv->_video_width_request);
#line 227 "/builddir/build/BUILD/presence-0.4.8/src/media.vala"
	self->priv->_video_width_request = _tmp1_;
#line 227 "/builddir/build/BUILD/presence-0.4.8/src/media.vala"
	g_object_notify ((GObject *) self, "video-height");
#line 1492 "media.c"
}


gchar* media_local_rtsp_server_get_video_size (MediaLocalRTSPServer* self) {
	gchar* result;
	guint _tmp0_ = 0U;
	guint _tmp1_ = 0U;
	gchar* _tmp2_ = NULL;
	gchar* _tmp3_ = NULL;
	guint _tmp4_ = 0U;
	guint _tmp5_ = 0U;
	gchar* _tmp6_ = NULL;
	gchar* _tmp7_ = NULL;
	gchar* _tmp8_ = NULL;
	gchar* _tmp9_ = NULL;
#line 232 "/builddir/build/BUILD/presence-0.4.8/src/media.vala"
	g_return_val_if_fail (self != NULL, NULL);
#line 232 "/builddir/build/BUILD/presence-0.4.8/src/media.vala"
	_tmp0_ = media_local_rtsp_server_get_video_width (self);
#line 232 "/builddir/build/BUILD/presence-0.4.8/src/media.vala"
	_tmp1_ = _tmp0_;
#line 232 "/builddir/build/BUILD/presence-0.4.8/src/media.vala"
	_tmp2_ = g_strdup_printf ("%u", _tmp1_);
#line 232 "/builddir/build/BUILD/presence-0.4.8/src/media.vala"
	_tmp3_ = _tmp2_;
#line 232 "/builddir/build/BUILD/presence-0.4.8/src/media.vala"
	_tmp4_ = media_local_rtsp_server_get_video_height (self);
#line 232 "/builddir/build/BUILD/presence-0.4.8/src/media.vala"
	_tmp5_ = _tmp4_;
#line 232 "/builddir/build/BUILD/presence-0.4.8/src/media.vala"
	_tmp6_ = g_strdup_printf ("%u", _tmp5_);
#line 232 "/builddir/build/BUILD/presence-0.4.8/src/media.vala"
	_tmp7_ = _tmp6_;
#line 232 "/builddir/build/BUILD/presence-0.4.8/src/media.vala"
	_tmp8_ = g_strconcat (_tmp3_, "x", _tmp7_, NULL);
#line 232 "/builddir/build/BUILD/presence-0.4.8/src/media.vala"
	_tmp9_ = _tmp8_;
#line 232 "/builddir/build/BUILD/presence-0.4.8/src/media.vala"
	_g_free0 (_tmp7_);
#line 232 "/builddir/build/BUILD/presence-0.4.8/src/media.vala"
	_g_free0 (_tmp3_);
#line 232 "/builddir/build/BUILD/presence-0.4.8/src/media.vala"
	result = _tmp9_;
#line 232 "/builddir/build/BUILD/presence-0.4.8/src/media.vala"
	return result;
#line 1538 "media.c"
}


gdouble media_local_rtsp_server_get_video_quality_factor (MediaLocalRTSPServer* self) {
	gdouble result;
	gdouble _tmp0_ = 0.0;
#line 241 "/builddir/build/BUILD/presence-0.4.8/src/media.vala"
	g_return_val_if_fail (self != NULL, 0.0);
#line 241 "/builddir/build/BUILD/presence-0.4.8/src/media.vala"
	_tmp0_ = self->priv->_video_quality_factor;
#line 241 "/builddir/build/BUILD/presence-0.4.8/src/media.vala"
	result = _tmp0_;
#line 241 "/builddir/build/BUILD/presence-0.4.8/src/media.vala"
	return result;
#line 1553 "media.c"
}


void media_local_rtsp_server_set_video_quality_factor (MediaLocalRTSPServer* self, gdouble value) {
	gdouble _tmp0_ = 0.0;
#line 242 "/builddir/build/BUILD/presence-0.4.8/src/media.vala"
	g_return_if_fail (self != NULL);
#line 242 "/builddir/build/BUILD/presence-0.4.8/src/media.vala"
	_tmp0_ = value;
#line 242 "/builddir/build/BUILD/presence-0.4.8/src/media.vala"
	self->priv->_video_quality_factor = _tmp0_;
#line 242 "/builddir/build/BUILD/presence-0.4.8/src/media.vala"
	g_object_notify ((GObject *) self, "video-quality-factor");
#line 1567 "media.c"
}


gdouble media_local_rtsp_server_get_video_quality (MediaLocalRTSPServer* self) {
	gdouble result;
	gdouble range = 0.0;
	gdouble _tmp0_ = 0.0;
	gdouble _tmp1_ = 0.0;
	gdouble _tmp2_ = 0.0;
	gdouble _tmp3_ = 0.0;
#line 250 "/builddir/build/BUILD/presence-0.4.8/src/media.vala"
	g_return_val_if_fail (self != NULL, 0.0);
#line 251 "/builddir/build/BUILD/presence-0.4.8/src/media.vala"
	_tmp0_ = self->priv->base_quality_max;
#line 251 "/builddir/build/BUILD/presence-0.4.8/src/media.vala"
	_tmp1_ = self->priv->base_quality_min;
#line 251 "/builddir/build/BUILD/presence-0.4.8/src/media.vala"
	range = _tmp0_ - _tmp1_;
#line 252 "/builddir/build/BUILD/presence-0.4.8/src/media.vala"
	_tmp2_ = self->priv->base_quality_min;
#line 252 "/builddir/build/BUILD/presence-0.4.8/src/media.vala"
	_tmp3_ = self->priv->_video_quality_factor;
#line 252 "/builddir/build/BUILD/presence-0.4.8/src/media.vala"
	result = _tmp2_ + (range * _tmp3_);
#line 252 "/builddir/build/BUILD/presence-0.4.8/src/media.vala"
	return result;
#line 1594 "media.c"
}


static gdouble* _double_dup (gdouble* self) {
	gdouble* dup;
#line 254 "/builddir/build/BUILD/presence-0.4.8/src/media.vala"
	dup = g_new0 (gdouble, 1);
#line 254 "/builddir/build/BUILD/presence-0.4.8/src/media.vala"
	memcpy (dup, self, sizeof (gdouble));
#line 254 "/builddir/build/BUILD/presence-0.4.8/src/media.vala"
	return dup;
#line 1606 "media.c"
}


static gpointer __double_dup0 (gpointer self) {
#line 254 "/builddir/build/BUILD/presence-0.4.8/src/media.vala"
	return self ? _double_dup (self) : NULL;
#line 1613 "media.c"
}


void media_local_rtsp_server_set_video_quality (MediaLocalRTSPServer* self, gdouble value) {
	gdouble _tmp0_ = 0.0;
	gdouble* _tmp1_ = NULL;
#line 254 "/builddir/build/BUILD/presence-0.4.8/src/media.vala"
	g_return_if_fail (self != NULL);
#line 254 "/builddir/build/BUILD/presence-0.4.8/src/media.vala"
	_tmp0_ = value;
#line 254 "/builddir/build/BUILD/presence-0.4.8/src/media.vala"
	_tmp1_ = __double_dup0 (&_tmp0_);
#line 254 "/builddir/build/BUILD/presence-0.4.8/src/media.vala"
	_g_free0 (self->priv->_video_quality_request);
#line 254 "/builddir/build/BUILD/presence-0.4.8/src/media.vala"
	self->priv->_video_quality_request = _tmp1_;
#line 254 "/builddir/build/BUILD/presence-0.4.8/src/media.vala"
	g_object_notify ((GObject *) self, "video-quality");
#line 1632 "media.c"
}


gdouble media_local_rtsp_server_get_video_fps_factor (MediaLocalRTSPServer* self) {
	gdouble result;
	gdouble _tmp0_ = 0.0;
#line 264 "/builddir/build/BUILD/presence-0.4.8/src/media.vala"
	g_return_val_if_fail (self != NULL, 0.0);
#line 264 "/builddir/build/BUILD/presence-0.4.8/src/media.vala"
	_tmp0_ = self->priv->_video_fps_factor;
#line 264 "/builddir/build/BUILD/presence-0.4.8/src/media.vala"
	result = _tmp0_;
#line 264 "/builddir/build/BUILD/presence-0.4.8/src/media.vala"
	return result;
#line 1647 "media.c"
}


void media_local_rtsp_server_set_video_fps_factor (MediaLocalRTSPServer* self, gdouble value) {
	gdouble _tmp0_ = 0.0;
#line 265 "/builddir/build/BUILD/presence-0.4.8/src/media.vala"
	g_return_if_fail (self != NULL);
#line 265 "/builddir/build/BUILD/presence-0.4.8/src/media.vala"
	_tmp0_ = value;
#line 265 "/builddir/build/BUILD/presence-0.4.8/src/media.vala"
	self->priv->_video_fps_factor = _tmp0_;
#line 265 "/builddir/build/BUILD/presence-0.4.8/src/media.vala"
	g_object_notify ((GObject *) self, "video-fps-factor");
#line 1661 "media.c"
}


gdouble media_local_rtsp_server_get_video_fps (MediaLocalRTSPServer* self) {
	gdouble result;
	gdouble range = 0.0;
	gdouble _tmp0_ = 0.0;
	gdouble _tmp1_ = 0.0;
	gdouble _tmp2_ = 0.0;
	gdouble _tmp3_ = 0.0;
#line 273 "/builddir/build/BUILD/presence-0.4.8/src/media.vala"
	g_return_val_if_fail (self != NULL, 0.0);
#line 274 "/builddir/build/BUILD/presence-0.4.8/src/media.vala"
	_tmp0_ = self->priv->base_fps_max;
#line 274 "/builddir/build/BUILD/presence-0.4.8/src/media.vala"
	_tmp1_ = self->priv->base_fps_min;
#line 274 "/builddir/build/BUILD/presence-0.4.8/src/media.vala"
	range = _tmp0_ - _tmp1_;
#line 275 "/builddir/build/BUILD/presence-0.4.8/src/media.vala"
	_tmp2_ = self->priv->base_fps_min;
#line 275 "/builddir/build/BUILD/presence-0.4.8/src/media.vala"
	_tmp3_ = self->priv->_video_fps_factor;
#line 275 "/builddir/build/BUILD/presence-0.4.8/src/media.vala"
	result = _tmp2_ + (range * _tmp3_);
#line 275 "/builddir/build/BUILD/presence-0.4.8/src/media.vala"
	return result;
#line 1688 "media.c"
}


void media_local_rtsp_server_set_video_fps (MediaLocalRTSPServer* self, gdouble value) {
	gdouble _tmp0_ = 0.0;
	gdouble* _tmp1_ = NULL;
#line 277 "/builddir/build/BUILD/presence-0.4.8/src/media.vala"
	g_return_if_fail (self != NULL);
#line 277 "/builddir/build/BUILD/presence-0.4.8/src/media.vala"
	_tmp0_ = value;
#line 277 "/builddir/build/BUILD/presence-0.4.8/src/media.vala"
	_tmp1_ = __double_dup0 (&_tmp0_);
#line 277 "/builddir/build/BUILD/presence-0.4.8/src/media.vala"
	_g_free0 (self->priv->_video_fps_request);
#line 277 "/builddir/build/BUILD/presence-0.4.8/src/media.vala"
	self->priv->_video_fps_request = _tmp1_;
#line 277 "/builddir/build/BUILD/presence-0.4.8/src/media.vala"
	g_object_notify ((GObject *) self, "video-fps");
#line 1707 "media.c"
}


static void media_local_rtsp_server_class_init (MediaLocalRTSPServerClass * klass) {
#line 119 "/builddir/build/BUILD/presence-0.4.8/src/media.vala"
	media_local_rtsp_server_parent_class = g_type_class_peek_parent (klass);
#line 119 "/builddir/build/BUILD/presence-0.4.8/src/media.vala"
	g_type_class_add_private (klass, sizeof (MediaLocalRTSPServerPrivate));
#line 119 "/builddir/build/BUILD/presence-0.4.8/src/media.vala"
	G_OBJECT_CLASS (klass)->get_property = _vala_media_local_rtsp_server_get_property;
#line 119 "/builddir/build/BUILD/presence-0.4.8/src/media.vala"
	G_OBJECT_CLASS (klass)->set_property = _vala_media_local_rtsp_server_set_property;
#line 119 "/builddir/build/BUILD/presence-0.4.8/src/media.vala"
	G_OBJECT_CLASS (klass)->finalize = media_local_rtsp_server_finalize;
#line 119 "/builddir/build/BUILD/presence-0.4.8/src/media.vala"
	g_object_class_install_property (G_OBJECT_CLASS (klass), MEDIA_LOCAL_RTSP_SERVER_USE_IPV6, g_param_spec_boolean ("use-ipv6", "use-ipv6", "use-ipv6", FALSE, G_PARAM_STATIC_NAME | G_PARAM_STATIC_NICK | G_PARAM_STATIC_BLURB | G_PARAM_READABLE | G_PARAM_WRITABLE));
#line 119 "/builddir/build/BUILD/presence-0.4.8/src/media.vala"
	g_object_class_install_property (G_OBJECT_CLASS (klass), MEDIA_LOCAL_RTSP_SERVER_PORT, g_param_spec_string ("port", "port", "port", NULL, G_PARAM_STATIC_NAME | G_PARAM_STATIC_NICK | G_PARAM_STATIC_BLURB | G_PARAM_READABLE | G_PARAM_WRITABLE));
#line 119 "/builddir/build/BUILD/presence-0.4.8/src/media.vala"
	g_object_class_install_property (G_OBJECT_CLASS (klass), MEDIA_LOCAL_RTSP_SERVER_MOUNTPOINT, g_param_spec_string ("mountpoint", "mountpoint", "mountpoint", NULL, G_PARAM_STATIC_NAME | G_PARAM_STATIC_NICK | G_PARAM_STATIC_BLURB | G_PARAM_READABLE | G_PARAM_WRITABLE));
#line 119 "/builddir/build/BUILD/presence-0.4.8/src/media.vala"
	g_object_class_install_property (G_OBJECT_CLASS (klass), MEDIA_LOCAL_RTSP_SERVER_ADDRESS, g_param_spec_string ("address", "address", "address", NULL, G_PARAM_STATIC_NAME | G_PARAM_STATIC_NICK | G_PARAM_STATIC_BLURB | G_PARAM_READABLE));
#line 119 "/builddir/build/BUILD/presence-0.4.8/src/media.vala"
	g_object_class_install_property (G_OBJECT_CLASS (klass), MEDIA_LOCAL_RTSP_SERVER_USER, g_param_spec_string ("user", "user", "user", NULL, G_PARAM_STATIC_NAME | G_PARAM_STATIC_NICK | G_PARAM_STATIC_BLURB | G_PARAM_READABLE));
#line 119 "/builddir/build/BUILD/presence-0.4.8/src/media.vala"
	g_object_class_install_property (G_OBJECT_CLASS (klass), MEDIA_LOCAL_RTSP_SERVER_PASSWORD, g_param_spec_string ("password", "password", "password", NULL, G_PARAM_STATIC_NAME | G_PARAM_STATIC_NICK | G_PARAM_STATIC_BLURB | G_PARAM_READABLE | G_PARAM_WRITABLE));
#line 119 "/builddir/build/BUILD/presence-0.4.8/src/media.vala"
	g_object_class_install_property (G_OBJECT_CLASS (klass), MEDIA_LOCAL_RTSP_SERVER_VIDEO_DEVICE, g_param_spec_string ("video-device", "video-device", "video-device", NULL, G_PARAM_STATIC_NAME | G_PARAM_STATIC_NICK | G_PARAM_STATIC_BLURB | G_PARAM_READABLE | G_PARAM_WRITABLE));
#line 119 "/builddir/build/BUILD/presence-0.4.8/src/media.vala"
	g_object_class_install_property (G_OBJECT_CLASS (klass), MEDIA_LOCAL_RTSP_SERVER_VIDEO_SCALE_FACTOR, g_param_spec_double ("video-scale-factor", "video-scale-factor", "video-scale-factor", -G_MAXDOUBLE, G_MAXDOUBLE, 0.25, G_PARAM_STATIC_NAME | G_PARAM_STATIC_NICK | G_PARAM_STATIC_BLURB | G_PARAM_READABLE | G_PARAM_WRITABLE));
#line 119 "/builddir/build/BUILD/presence-0.4.8/src/media.vala"
	g_object_class_install_property (G_OBJECT_CLASS (klass), MEDIA_LOCAL_RTSP_SERVER_VIDEO_WIDTH, g_param_spec_uint ("video-width", "video-width", "video-width", 0, G_MAXUINT, 0U, G_PARAM_STATIC_NAME | G_PARAM_STATIC_NICK | G_PARAM_STATIC_BLURB | G_PARAM_READABLE | G_PARAM_WRITABLE));
#line 119 "/builddir/build/BUILD/presence-0.4.8/src/media.vala"
	g_object_class_install_property (G_OBJECT_CLASS (klass), MEDIA_LOCAL_RTSP_SERVER_VIDEO_HEIGHT, g_param_spec_uint ("video-height", "video-height", "video-height", 0, G_MAXUINT, 0U, G_PARAM_STATIC_NAME | G_PARAM_STATIC_NICK | G_PARAM_STATIC_BLURB | G_PARAM_READABLE | G_PARAM_WRITABLE));
#line 119 "/builddir/build/BUILD/presence-0.4.8/src/media.vala"
	g_object_class_install_property (G_OBJECT_CLASS (klass), MEDIA_LOCAL_RTSP_SERVER_VIDEO_SIZE, g_param_spec_string ("video-size", "video-size", "video-size", NULL, G_PARAM_STATIC_NAME | G_PARAM_STATIC_NICK | G_PARAM_STATIC_BLURB | G_PARAM_READABLE));
#line 119 "/builddir/build/BUILD/presence-0.4.8/src/media.vala"
	g_object_class_install_property (G_OBJECT_CLASS (klass), MEDIA_LOCAL_RTSP_SERVER_VIDEO_QUALITY_FACTOR, g_param_spec_double ("video-quality-factor", "video-quality-factor", "video-quality-factor", -G_MAXDOUBLE, G_MAXDOUBLE, 0.75, G_PARAM_STATIC_NAME | G_PARAM_STATIC_NICK | G_PARAM_STATIC_BLURB | G_PARAM_READABLE | G_PARAM_WRITABLE));
#line 119 "/builddir/build/BUILD/presence-0.4.8/src/media.vala"
	g_object_class_install_property (G_OBJECT_CLASS (klass), MEDIA_LOCAL_RTSP_SERVER_VIDEO_QUALITY, g_param_spec_double ("video-quality", "video-quality", "video-quality", -G_MAXDOUBLE, G_MAXDOUBLE, 0.0, G_PARAM_STATIC_NAME | G_PARAM_STATIC_NICK | G_PARAM_STATIC_BLURB | G_PARAM_READABLE | G_PARAM_WRITABLE));
#line 119 "/builddir/build/BUILD/presence-0.4.8/src/media.vala"
	g_object_class_install_property (G_OBJECT_CLASS (klass), MEDIA_LOCAL_RTSP_SERVER_VIDEO_FPS_FACTOR, g_param_spec_double ("video-fps-factor", "video-fps-factor", "video-fps-factor", -G_MAXDOUBLE, G_MAXDOUBLE, 0.5, G_PARAM_STATIC_NAME | G_PARAM_STATIC_NICK | G_PARAM_STATIC_BLURB | G_PARAM_READABLE | G_PARAM_WRITABLE));
#line 119 "/builddir/build/BUILD/presence-0.4.8/src/media.vala"
	g_object_class_install_property (G_OBJECT_CLASS (klass), MEDIA_LOCAL_RTSP_SERVER_VIDEO_FPS, g_param_spec_double ("video-fps", "video-fps", "video-fps", -G_MAXDOUBLE, G_MAXDOUBLE, 0.0, G_PARAM_STATIC_NAME | G_PARAM_STATIC_NICK | G_PARAM_STATIC_BLURB | G_PARAM_READABLE | G_PARAM_WRITABLE));
#line 1752 "media.c"
}


static void media_local_rtsp_server_instance_init (MediaLocalRTSPServer * self) {
	gchar* _tmp0_ = NULL;
	gchar* _tmp1_ = NULL;
	gchar* _tmp2_ = NULL;
	gchar* _tmp3_ = NULL;
#line 119 "/builddir/build/BUILD/presence-0.4.8/src/media.vala"
	self->priv = MEDIA_LOCAL_RTSP_SERVER_GET_PRIVATE (self);
#line 130 "/builddir/build/BUILD/presence-0.4.8/src/media.vala"
	self->priv->base_width = (gdouble) 1280;
#line 131 "/builddir/build/BUILD/presence-0.4.8/src/media.vala"
	self->priv->base_height = (gdouble) 720;
#line 140 "/builddir/build/BUILD/presence-0.4.8/src/media.vala"
	self->priv->base_quality_min = (gdouble) 4;
#line 141 "/builddir/build/BUILD/presence-0.4.8/src/media.vala"
	self->priv->base_quality_max = (gdouble) 9;
#line 146 "/builddir/build/BUILD/presence-0.4.8/src/media.vala"
	self->priv->base_fps_min = (gdouble) 4;
#line 147 "/builddir/build/BUILD/presence-0.4.8/src/media.vala"
	self->priv->base_fps_max = (gdouble) 30;
#line 152 "/builddir/build/BUILD/presence-0.4.8/src/media.vala"
	self->priv->_use_ipv6 = FALSE;
#line 161 "/builddir/build/BUILD/presence-0.4.8/src/media.vala"
	_tmp0_ = g_strdup ("8554");
#line 161 "/builddir/build/BUILD/presence-0.4.8/src/media.vala"
	self->priv->_port = _tmp0_;
#line 170 "/builddir/build/BUILD/presence-0.4.8/src/media.vala"
	_tmp1_ = g_strdup ("presence");
#line 170 "/builddir/build/BUILD/presence-0.4.8/src/media.vala"
	self->priv->_mountpoint = _tmp1_;
#line 184 "/builddir/build/BUILD/presence-0.4.8/src/media.vala"
	_tmp2_ = g_strdup ("presence");
#line 184 "/builddir/build/BUILD/presence-0.4.8/src/media.vala"
	self->priv->_user = _tmp2_;
#line 190 "/builddir/build/BUILD/presence-0.4.8/src/media.vala"
	self->priv->_password = NULL;
#line 196 "/builddir/build/BUILD/presence-0.4.8/src/media.vala"
	_tmp3_ = g_strdup ("/dev/video0");
#line 196 "/builddir/build/BUILD/presence-0.4.8/src/media.vala"
	self->priv->_video_device = _tmp3_;
#line 207 "/builddir/build/BUILD/presence-0.4.8/src/media.vala"
	self->priv->_video_scale_factor = 0.25;
#line 220 "/builddir/build/BUILD/presence-0.4.8/src/media.vala"
	self->priv->_video_height_request = NULL;
#line 229 "/builddir/build/BUILD/presence-0.4.8/src/media.vala"
	self->priv->_video_width_request = NULL;
#line 240 "/builddir/build/BUILD/presence-0.4.8/src/media.vala"
	self->priv->_video_quality_factor = 0.75;
#line 256 "/builddir/build/BUILD/presence-0.4.8/src/media.vala"
	self->priv->_video_quality_request = NULL;
#line 263 "/builddir/build/BUILD/presence-0.4.8/src/media.vala"
	self->priv->_video_fps_factor = 0.5;
#line 279 "/builddir/build/BUILD/presence-0.4.8/src/media.vala"
	self->priv->_video_fps_request = NULL;
#line 1809 "media.c"
}


static void media_local_rtsp_server_finalize (GObject* obj) {
	MediaLocalRTSPServer * self;
#line 119 "/builddir/build/BUILD/presence-0.4.8/src/media.vala"
	self = G_TYPE_CHECK_INSTANCE_CAST (obj, MEDIA_TYPE_LOCAL_RTSP_SERVER, MediaLocalRTSPServer);
#line 121 "/builddir/build/BUILD/presence-0.4.8/src/media.vala"
	_g_main_loop_unref0 (self->priv->loop);
#line 123 "/builddir/build/BUILD/presence-0.4.8/src/media.vala"
	_g_object_unref0 (self->priv->server);
#line 124 "/builddir/build/BUILD/presence-0.4.8/src/media.vala"
	_g_object_unref0 (self->priv->mapping);
#line 161 "/builddir/build/BUILD/presence-0.4.8/src/media.vala"
	_g_free0 (self->priv->_port);
#line 170 "/builddir/build/BUILD/presence-0.4.8/src/media.vala"
	_g_free0 (self->priv->_mountpoint);
#line 179 "/builddir/build/BUILD/presence-0.4.8/src/media.vala"
	_g_free0 (self->priv->_address);
#line 184 "/builddir/build/BUILD/presence-0.4.8/src/media.vala"
	_g_free0 (self->priv->_user);
#line 190 "/builddir/build/BUILD/presence-0.4.8/src/media.vala"
	_g_free0 (self->priv->_password);
#line 196 "/builddir/build/BUILD/presence-0.4.8/src/media.vala"
	_g_free0 (self->priv->_video_device);
#line 220 "/builddir/build/BUILD/presence-0.4.8/src/media.vala"
	_g_free0 (self->priv->_video_height_request);
#line 229 "/builddir/build/BUILD/presence-0.4.8/src/media.vala"
	_g_free0 (self->priv->_video_width_request);
#line 256 "/builddir/build/BUILD/presence-0.4.8/src/media.vala"
	_g_free0 (self->priv->_video_quality_request);
#line 279 "/builddir/build/BUILD/presence-0.4.8/src/media.vala"
	_g_free0 (self->priv->_video_fps_request);
#line 119 "/builddir/build/BUILD/presence-0.4.8/src/media.vala"
	G_OBJECT_CLASS (media_local_rtsp_server_parent_class)->finalize (obj);
#line 1845 "media.c"
}


GType media_local_rtsp_server_get_type (void) {
	static volatile gsize media_local_rtsp_server_type_id__volatile = 0;
	if (g_once_init_enter (&media_local_rtsp_server_type_id__volatile)) {
		static const GTypeInfo g_define_type_info = { sizeof (MediaLocalRTSPServerClass), (GBaseInitFunc) NULL, (GBaseFinalizeFunc) NULL, (GClassInitFunc) media_local_rtsp_server_class_init, (GClassFinalizeFunc) NULL, NULL, sizeof (MediaLocalRTSPServer), 0, (GInstanceInitFunc) media_local_rtsp_server_instance_init, NULL };
		GType media_local_rtsp_server_type_id;
		media_local_rtsp_server_type_id = g_type_register_static (G_TYPE_OBJECT, "MediaLocalRTSPServer", &g_define_type_info, 0);
		g_once_init_leave (&media_local_rtsp_server_type_id__volatile, media_local_rtsp_server_type_id);
	}
	return media_local_rtsp_server_type_id__volatile;
}


static void _vala_media_local_rtsp_server_get_property (GObject * object, guint property_id, GValue * value, GParamSpec * pspec) {
	MediaLocalRTSPServer * self;
	self = G_TYPE_CHECK_INSTANCE_CAST (object, MEDIA_TYPE_LOCAL_RTSP_SERVER, MediaLocalRTSPServer);
#line 119 "/builddir/build/BUILD/presence-0.4.8/src/media.vala"
	switch (property_id) {
#line 119 "/builddir/build/BUILD/presence-0.4.8/src/media.vala"
		case MEDIA_LOCAL_RTSP_SERVER_USE_IPV6:
#line 119 "/builddir/build/BUILD/presence-0.4.8/src/media.vala"
		g_value_set_boolean (value, media_local_rtsp_server_get_use_ipv6 (self));
#line 119 "/builddir/build/BUILD/presence-0.4.8/src/media.vala"
		break;
#line 119 "/builddir/build/BUILD/presence-0.4.8/src/media.vala"
		case MEDIA_LOCAL_RTSP_SERVER_PORT:
#line 119 "/builddir/build/BUILD/presence-0.4.8/src/media.vala"
		g_value_set_string (value, media_local_rtsp_server_get_port (self));
#line 119 "/builddir/build/BUILD/presence-0.4.8/src/media.vala"
		break;
#line 119 "/builddir/build/BUILD/presence-0.4.8/src/media.vala"
		case MEDIA_LOCAL_RTSP_SERVER_MOUNTPOINT:
#line 119 "/builddir/build/BUILD/presence-0.4.8/src/media.vala"
		g_value_set_string (value, media_local_rtsp_server_get_mountpoint (self));
#line 119 "/builddir/build/BUILD/presence-0.4.8/src/media.vala"
		break;
#line 119 "/builddir/build/BUILD/presence-0.4.8/src/media.vala"
		case MEDIA_LOCAL_RTSP_SERVER_ADDRESS:
#line 119 "/builddir/build/BUILD/presence-0.4.8/src/media.vala"
		g_value_set_string (value, media_local_rtsp_server_get_address (self));
#line 119 "/builddir/build/BUILD/presence-0.4.8/src/media.vala"
		break;
#line 119 "/builddir/build/BUILD/presence-0.4.8/src/media.vala"
		case MEDIA_LOCAL_RTSP_SERVER_USER:
#line 119 "/builddir/build/BUILD/presence-0.4.8/src/media.vala"
		g_value_set_string (value, media_local_rtsp_server_get_user (self));
#line 119 "/builddir/build/BUILD/presence-0.4.8/src/media.vala"
		break;
#line 119 "/builddir/build/BUILD/presence-0.4.8/src/media.vala"
		case MEDIA_LOCAL_RTSP_SERVER_PASSWORD:
#line 119 "/builddir/build/BUILD/presence-0.4.8/src/media.vala"
		g_value_set_string (value, media_local_rtsp_server_get_password (self));
#line 119 "/builddir/build/BUILD/presence-0.4.8/src/media.vala"
		break;
#line 119 "/builddir/build/BUILD/presence-0.4.8/src/media.vala"
		case MEDIA_LOCAL_RTSP_SERVER_VIDEO_DEVICE:
#line 119 "/builddir/build/BUILD/presence-0.4.8/src/media.vala"
		g_value_set_string (value, media_local_rtsp_server_get_video_device (self));
#line 119 "/builddir/build/BUILD/presence-0.4.8/src/media.vala"
		break;
#line 119 "/builddir/build/BUILD/presence-0.4.8/src/media.vala"
		case MEDIA_LOCAL_RTSP_SERVER_VIDEO_SCALE_FACTOR:
#line 119 "/builddir/build/BUILD/presence-0.4.8/src/media.vala"
		g_value_set_double (value, media_local_rtsp_server_get_video_scale_factor (self));
#line 119 "/builddir/build/BUILD/presence-0.4.8/src/media.vala"
		break;
#line 119 "/builddir/build/BUILD/presence-0.4.8/src/media.vala"
		case MEDIA_LOCAL_RTSP_SERVER_VIDEO_WIDTH:
#line 119 "/builddir/build/BUILD/presence-0.4.8/src/media.vala"
		g_value_set_uint (value, media_local_rtsp_server_get_video_width (self));
#line 119 "/builddir/build/BUILD/presence-0.4.8/src/media.vala"
		break;
#line 119 "/builddir/build/BUILD/presence-0.4.8/src/media.vala"
		case MEDIA_LOCAL_RTSP_SERVER_VIDEO_HEIGHT:
#line 119 "/builddir/build/BUILD/presence-0.4.8/src/media.vala"
		g_value_set_uint (value, media_local_rtsp_server_get_video_height (self));
#line 119 "/builddir/build/BUILD/presence-0.4.8/src/media.vala"
		break;
#line 119 "/builddir/build/BUILD/presence-0.4.8/src/media.vala"
		case MEDIA_LOCAL_RTSP_SERVER_VIDEO_SIZE:
#line 119 "/builddir/build/BUILD/presence-0.4.8/src/media.vala"
		g_value_take_string (value, media_local_rtsp_server_get_video_size (self));
#line 119 "/builddir/build/BUILD/presence-0.4.8/src/media.vala"
		break;
#line 119 "/builddir/build/BUILD/presence-0.4.8/src/media.vala"
		case MEDIA_LOCAL_RTSP_SERVER_VIDEO_QUALITY_FACTOR:
#line 119 "/builddir/build/BUILD/presence-0.4.8/src/media.vala"
		g_value_set_double (value, media_local_rtsp_server_get_video_quality_factor (self));
#line 119 "/builddir/build/BUILD/presence-0.4.8/src/media.vala"
		break;
#line 119 "/builddir/build/BUILD/presence-0.4.8/src/media.vala"
		case MEDIA_LOCAL_RTSP_SERVER_VIDEO_QUALITY:
#line 119 "/builddir/build/BUILD/presence-0.4.8/src/media.vala"
		g_value_set_double (value, media_local_rtsp_server_get_video_quality (self));
#line 119 "/builddir/build/BUILD/presence-0.4.8/src/media.vala"
		break;
#line 119 "/builddir/build/BUILD/presence-0.4.8/src/media.vala"
		case MEDIA_LOCAL_RTSP_SERVER_VIDEO_FPS_FACTOR:
#line 119 "/builddir/build/BUILD/presence-0.4.8/src/media.vala"
		g_value_set_double (value, media_local_rtsp_server_get_video_fps_factor (self));
#line 119 "/builddir/build/BUILD/presence-0.4.8/src/media.vala"
		break;
#line 119 "/builddir/build/BUILD/presence-0.4.8/src/media.vala"
		case MEDIA_LOCAL_RTSP_SERVER_VIDEO_FPS:
#line 119 "/builddir/build/BUILD/presence-0.4.8/src/media.vala"
		g_value_set_double (value, media_local_rtsp_server_get_video_fps (self));
#line 119 "/builddir/build/BUILD/presence-0.4.8/src/media.vala"
		break;
#line 1956 "media.c"
		default:
#line 119 "/builddir/build/BUILD/presence-0.4.8/src/media.vala"
		G_OBJECT_WARN_INVALID_PROPERTY_ID (object, property_id, pspec);
#line 119 "/builddir/build/BUILD/presence-0.4.8/src/media.vala"
		break;
#line 1962 "media.c"
	}
}


static void _vala_media_local_rtsp_server_set_property (GObject * object, guint property_id, const GValue * value, GParamSpec * pspec) {
	MediaLocalRTSPServer * self;
	self = G_TYPE_CHECK_INSTANCE_CAST (object, MEDIA_TYPE_LOCAL_RTSP_SERVER, MediaLocalRTSPServer);
#line 119 "/builddir/build/BUILD/presence-0.4.8/src/media.vala"
	switch (property_id) {
#line 119 "/builddir/build/BUILD/presence-0.4.8/src/media.vala"
		case MEDIA_LOCAL_RTSP_SERVER_USE_IPV6:
#line 119 "/builddir/build/BUILD/presence-0.4.8/src/media.vala"
		media_local_rtsp_server_set_use_ipv6 (self, g_value_get_boolean (value));
#line 119 "/builddir/build/BUILD/presence-0.4.8/src/media.vala"
		break;
#line 119 "/builddir/build/BUILD/presence-0.4.8/src/media.vala"
		case MEDIA_LOCAL_RTSP_SERVER_PORT:
#line 119 "/builddir/build/BUILD/presence-0.4.8/src/media.vala"
		media_local_rtsp_server_set_port (self, g_value_get_string (value));
#line 119 "/builddir/build/BUILD/presence-0.4.8/src/media.vala"
		break;
#line 119 "/builddir/build/BUILD/presence-0.4.8/src/media.vala"
		case MEDIA_LOCAL_RTSP_SERVER_MOUNTPOINT:
#line 119 "/builddir/build/BUILD/presence-0.4.8/src/media.vala"
		media_local_rtsp_server_set_mountpoint (self, g_value_get_string (value));
#line 119 "/builddir/build/BUILD/presence-0.4.8/src/media.vala"
		break;
#line 119 "/builddir/build/BUILD/presence-0.4.8/src/media.vala"
		case MEDIA_LOCAL_RTSP_SERVER_ADDRESS:
#line 119 "/builddir/build/BUILD/presence-0.4.8/src/media.vala"
		media_local_rtsp_server_set_address (self, g_value_get_string (value));
#line 119 "/builddir/build/BUILD/presence-0.4.8/src/media.vala"
		break;
#line 119 "/builddir/build/BUILD/presence-0.4.8/src/media.vala"
		case MEDIA_LOCAL_RTSP_SERVER_USER:
#line 119 "/builddir/build/BUILD/presence-0.4.8/src/media.vala"
		media_local_rtsp_server_set_user (self, g_value_get_string (value));
#line 119 "/builddir/build/BUILD/presence-0.4.8/src/media.vala"
		break;
#line 119 "/builddir/build/BUILD/presence-0.4.8/src/media.vala"
		case MEDIA_LOCAL_RTSP_SERVER_PASSWORD:
#line 119 "/builddir/build/BUILD/presence-0.4.8/src/media.vala"
		media_local_rtsp_server_set_password (self, g_value_get_string (value));
#line 119 "/builddir/build/BUILD/presence-0.4.8/src/media.vala"
		break;
#line 119 "/builddir/build/BUILD/presence-0.4.8/src/media.vala"
		case MEDIA_LOCAL_RTSP_SERVER_VIDEO_DEVICE:
#line 119 "/builddir/build/BUILD/presence-0.4.8/src/media.vala"
		media_local_rtsp_server_set_video_device (self, g_value_get_string (value));
#line 119 "/builddir/build/BUILD/presence-0.4.8/src/media.vala"
		break;
#line 119 "/builddir/build/BUILD/presence-0.4.8/src/media.vala"
		case MEDIA_LOCAL_RTSP_SERVER_VIDEO_SCALE_FACTOR:
#line 119 "/builddir/build/BUILD/presence-0.4.8/src/media.vala"
		media_local_rtsp_server_set_video_scale_factor (self, g_value_get_double (value));
#line 119 "/builddir/build/BUILD/presence-0.4.8/src/media.vala"
		break;
#line 119 "/builddir/build/BUILD/presence-0.4.8/src/media.vala"
		case MEDIA_LOCAL_RTSP_SERVER_VIDEO_WIDTH:
#line 119 "/builddir/build/BUILD/presence-0.4.8/src/media.vala"
		media_local_rtsp_server_set_video_width (self, g_value_get_uint (value));
#line 119 "/builddir/build/BUILD/presence-0.4.8/src/media.vala"
		break;
#line 119 "/builddir/build/BUILD/presence-0.4.8/src/media.vala"
		case MEDIA_LOCAL_RTSP_SERVER_VIDEO_HEIGHT:
#line 119 "/builddir/build/BUILD/presence-0.4.8/src/media.vala"
		media_local_rtsp_server_set_video_height (self, g_value_get_uint (value));
#line 119 "/builddir/build/BUILD/presence-0.4.8/src/media.vala"
		break;
#line 119 "/builddir/build/BUILD/presence-0.4.8/src/media.vala"
		case MEDIA_LOCAL_RTSP_SERVER_VIDEO_QUALITY_FACTOR:
#line 119 "/builddir/build/BUILD/presence-0.4.8/src/media.vala"
		media_local_rtsp_server_set_video_quality_factor (self, g_value_get_double (value));
#line 119 "/builddir/build/BUILD/presence-0.4.8/src/media.vala"
		break;
#line 119 "/builddir/build/BUILD/presence-0.4.8/src/media.vala"
		case MEDIA_LOCAL_RTSP_SERVER_VIDEO_QUALITY:
#line 119 "/builddir/build/BUILD/presence-0.4.8/src/media.vala"
		media_local_rtsp_server_set_video_quality (self, g_value_get_double (value));
#line 119 "/builddir/build/BUILD/presence-0.4.8/src/media.vala"
		break;
#line 119 "/builddir/build/BUILD/presence-0.4.8/src/media.vala"
		case MEDIA_LOCAL_RTSP_SERVER_VIDEO_FPS_FACTOR:
#line 119 "/builddir/build/BUILD/presence-0.4.8/src/media.vala"
		media_local_rtsp_server_set_video_fps_factor (self, g_value_get_double (value));
#line 119 "/builddir/build/BUILD/presence-0.4.8/src/media.vala"
		break;
#line 119 "/builddir/build/BUILD/presence-0.4.8/src/media.vala"
		case MEDIA_LOCAL_RTSP_SERVER_VIDEO_FPS:
#line 119 "/builddir/build/BUILD/presence-0.4.8/src/media.vala"
		media_local_rtsp_server_set_video_fps (self, g_value_get_double (value));
#line 119 "/builddir/build/BUILD/presence-0.4.8/src/media.vala"
		break;
#line 2056 "media.c"
		default:
#line 119 "/builddir/build/BUILD/presence-0.4.8/src/media.vala"
		G_OBJECT_WARN_INVALID_PROPERTY_ID (object, property_id, pspec);
#line 119 "/builddir/build/BUILD/presence-0.4.8/src/media.vala"
		break;
#line 2062 "media.c"
	}
}



